=== release 1.28.6 ===

2026-08-05 12:59:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gstreamer.doap:
	* meson.build:
	  Release 1.28.6

2026-08-03 10:21:42 +0900  Jeongkeun Kim <variety0724@gmail.com>

	* gst/gstcpuid.c:
	  cpuid: fix AArch64 NEON detection to check HWCAP_ASIMD, not HWCAP_NEON
	  HWCAP_NEON only exists in the ARM32 kernel headers. On genuine AArch64
	  Linux the header doesn't define it, so the existing #ifndef fallback
	  (1 << 12) kicks in for AArch64 too, since the __ARM_ARCH guard doesn't
	  distinguish 32-bit ARM from AArch64. That bit position is
	  HWCAP_ASIMDRDM (an optional ARMv8.1+ extension) on AArch64's hwcap
	  numbering, not base NEON/ASIMD (bit 1). A core with base ASIMD but
	  without the ASIMDRDM extension would silently get NEON disabled.
	  Split the fallback macro and the detection branch by architecture,
	  using HWCAP_ASIMD for AArch64, matching the same split already used in
	  gstreamer/orc's orccpu-arm.c. The 32-bit ARM path is unchanged.
	  Fixes #5249
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12224>

2026-07-21 15:35:44 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Make the g-ir-scanner init section consistent across modules
	  We weren't disabling the registry correctly due to typos and missing
	  env vars.
	  This speeds up introspection builds considerably on Windows.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12163>

2026-07-17 19:55:01 +0200  Marcus Hanestad <marlhan@proton.me>

	* gst/gstpad.c:
	* tests/check/gst/gstpad.c:
	  pad: fix livelock relinking pad while pushing changed sticky events
	  Make sure to fully reset the tracking struct when re-looping to
	  push sticky events after an interruption due to pad re-linking,
	  to avoid an infinite loop.
	  Also simplify the exit check the interior loop already checks
	  the pending events flag before it generates the INTERRUPTED
	  return result.
	  Add a unit test to check re-linking
	  Co-Authored-By: Jan Schmidt <jan@centricular.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12142>

2026-07-20 17:15:51 +0100  Seyi Kuforiji <kuforiji98@gmail.com>

	* meson.build:
	  meson: use dependency('dl') instead of cc.find_library('dl')
	  On systems with glibc >= 2.34, dlopen/dladdr are provided by libc
	  and libdl.a is shipped as an empty stub archive. cc.find_library('dl')
	  still reports the library as found and adds -ldl to the link line,
	  but linking the empty archive produces no DT_NEEDED entry for libdl.
	  g-ir-scanner resolves -l flags by matching them against ldd output
	  of the built library, so gir generation fails with:
	  ERROR: can't resolve libraries to shared libraries: dl
	  unless an unrelated transitive dependency happens to pull in
	  libdl.so.2 and mask the problem.
	  Meson's builtin 'dl' dependency (available since 0.62, well below
	  our 1.4 minimum) returns no link arguments when dlopen is provided
	  by libc, and still links libdl on platforms where it is a separate
	  library. dladdr detection via cc.has_function() is unaffected.
	  Apply the same change to gst-devtools and gst-python, which used
	  the identical pattern. Vendored subprojects (libsoup, libajantv2)
	  are left untouched as those belong upstream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12154>

2026-07-08 10:38:29 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Document for all setters if their values are reset or not
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12102>

2026-07-07 20:33:15 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Don't reset infer_ts/pts_interpolate subclass configuration in reset()
	  Otherwise this configuration would be lost after state changes, and subclasses
	  only usually set these during instance init so effectively these parsers are not
	  reusable.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12102>

2026-07-08 14:54:56 +0300  Sebastian Dröge <sebastian@centricular.com>

	* plugins/elements/gstvalve.c:
	  valve: Don't send a reconfigure even when setting the `drop` property to the same value
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12082>

2026-07-08 23:48:39 +0200  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.28.5

=== release 1.28.5 ===

2026-07-08 23:42:39 +0200  Tim-Philipp Müller <tim@centricular.com>

	* gstreamer.doap:
	* meson.build:
	  Release 1.28.5

2026-07-02 20:26:26 +0530  Sanchayan Maity <sanchayan@centricular.com>

	* libs/gst/base/gsttypefindhelper.c:
	  typefindhelper: Drop unnecessary check for factories without a function
	  gst_type_find_list_factories_for_caps does not have to check for factories
	  without a function. This probably got mistakenly carried over from function
	  gst_type_find_helper_for_extension which serves a different purpose.
	  Similarly for gst_type_find_helper_for_extension, we want to filter out
	  factories that have no extensions but whether they have a function or not
	  does not matter.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12020>

2026-05-10 02:46:13 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstinfo.c:
	  gstinfo: Use a more optimized version of GST_TIME_ARGS
	  This implementation is 66% faster (0.33x time) than the current
	  variant. We call GST_TIME_ARGS for very single log message and it adds
	  up quickly.
	  The logging time for a highly-contended GST_INFO macro invocation is
	  reduced by 30% (0.70x time) on Linux and 12% (0.88x) on Windows.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11995>

2026-04-08 16:51:52 +0200  ErikStrandh <erik.strandh@sr.se>

	* libs/gst/helpers/ptp/args.rs:
	* libs/gst/helpers/ptp/ffi.rs:
	* libs/gst/helpers/ptp/io.rs:
	* libs/gst/helpers/ptp/main.rs:
	* libs/gst/net/gstptpclock.c:
	* meson.build:
	  gstptpclock: fix ptp initialization when running as Windows service
	  Use named pipes when spawning gst-ptp-helper on Windows,
	  to avoid blocking in gst_ptp_init_full when running as service in
	  Session 0.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11994>

2026-06-18 11:23:19 +1000  Jan Schmidt <jan@centricular.com>

	* gst/gstpad.c:
	  pad: Implement sticky event resending on linking
	  When a pad is linked exactly in the middle of outputting sticky events,
	  we need to restart the sequence instead of sending an incomplete and
	  out-of-order set of events to the new pad peer.
	  This can only happen when linking an already running pad that was
	  trying to output sticky events while unlinked, such as when linking
	  a newly requested tee src pad to a peer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11948>

2026-05-31 13:09:53 +0200  Jan Schmidt <jan@centricular.com>

	* gst/gstpad.c:
	  pad: Use internal aliases for probe flow return values
	  Make it easier to read probe function handling by using some
	  internal aliases for the custom GST_FLOW_CUSTOM_SUCCESS_...
	  flow return values
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11948>

2026-05-31 12:11:47 +0200  Jan Schmidt <jan@centricular.com>

	* gst/gstpad.c:
	  pads: Rename private last_cookie to last_events_cookie
	  Rename internal tracking variable for clarity
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11948>

2026-06-18 05:27:33 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstcaps.c:
	  caps: fix field name leak in gst_caps_structure_simplify
	  The unioned field name is copied into a local GstIdStr but never
	  cleared. For field names longer than 15 chars the GstIdStr holds a heap
	  allocation, so it leaks (e.g. pixel-aspect-ratio). Regression from the
	  GQuark -> GstIdStr field name migration.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11914>

2026-06-12 13:27:54 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.28.4

=== release 1.28.4 ===

2026-06-12 13:19:43 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gstreamer.doap:
	* meson.build:
	  Release 1.28.4

2026-05-12 16:08:30 +0200  Carlos Falgueras García <cfalgueras@fluendo.com>

	* tests/check/gst/gstmemory.c:
	  tests: fix support with glib <= 2.67.2
	  These tests use "g_memdup2()" but they don't include
	  "gst/glib-compat-private.h", which makes the compilation fail when linking
	  against Glib <= 2.67.2 as "g_memdup2()" was included at 2.67.3
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11618>

2026-06-03 12:00:58 +0200  Stéphane Cerveau <scerveau@igalia.com>

	* gst/gstvalue.c:
	  gstvalue: free existing value in list append
	  In gst_value_unique_list_append_and_take_value, the append_value
	  is transfer-full, so if this value is already existing, it should
	  be unset inside the method.
	  Tensor elements append one caps per model output into a unique list
	  (transfer-full). When two outputs share the same caps signature (e.g.
	  YOLOv8-seg), the list deduplicates the second — but the drop path leaked
	  that caps instead of releasing it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11756>

2026-06-02 18:55:35 +0200  Stéphane Cerveau <scerveau@igalia.com>

	* gst/gstcaps.c:
	* tests/check/gst/gstcaps.c:
	  caps: flag nested caps in static caps as may-be-leaked
	  As static caps are usually leaked, then the nested caps
	  are also leaked and should be set GST_MINI_OBJECT_FLAG_MAY_BE_LEAKED
	  as well.
	  The leak has been spotted with leak tracer and the onnx elements which
	  use for example:
	  static GstStaticCaps scaps = GST_STATIC_CAPS (
	  "video/x-raw,"
	  "tensors=(structure)["
	  "tensorgroups,"
	  "out=(/uniquelist){"
	  "(GstCaps)["
	  "tensor/strided,"
	  "tensor-id=(string)out,"
	  "type=(string)float32"
	  "]"
	  "}"
	  "]");
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11756>

2026-05-28 11:07:24 +0200  Stéphane Cerveau <scerveau@igalia.com>

	* gst/gstvalue.c:
	* tests/check/gst/gstvalue.c:
	  gstvalue: fix crash when converting NULL G_TYPE_VALUE_ARRAY to G_TYPE_STRING
	  In the case of Rust binding, converting to G_TYPE_STRING
	  a G_TYPE_VALUE_ARRAY might lead to a crash if the GValue contains NULL.
	  Consider it as an empty string.
	  Reproduce with vp8enc:temporal-scalability-target-bitrate and
	  GstPipelineStudio.
	  Add defensive check in gst_value_transform_any_list_string
	  Add additional tests for array, list and set.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11737>

2026-05-20 11:21:45 +0800  Qian Hu (胡骞) <qian.hu@mediatek.com>

	* gst/gstbufferpool.c:
	  bufferpool: avoid leaking partially preallocated buffers
	  Preallocate buffers into a temporary array in default_start() before handing
	  them to release_buffer(). If allocation fails midway, free the buffers that
	  are still owned by the base class instead of leaving already released buffers
	  behind.
	  This avoids leaking buffers and corrupting cur_buffers when preallocation
	  fails, while still allowing subclasses to take ownership in release_buffer()
	  only after all allocations succeeded.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11664>

2026-05-15 01:46:30 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gsttask.c:
	  gsttask: Fix racy tests by making unref deterministic
	  gst_check_teardown_element() asserts that the refcount of the element
	  is 1 after its state has been set to NULL which stops all pad tasks.
	  However, after 1179387b9f, the pad task also holds a reference to the
	  element and the finalize hits after the task is stopped and releases
	  the task lock (sync) and before the task thread exits (async).
	  This made the assert flaky, because it would see 1 or 2 depending on
	  how slowly things are scheduled.
	  Co-authored-by: Sebastian Dröge <sebastian@centricular.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11638>

2026-05-11 16:33:44 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstinfo.c:
	  gstinfo: Don't use fwrite() on Windows for debug logging
	  When setting GST_DEBUG_FILE, the file was opened with fopen() and
	  written to with fwrite(). This required an expensive fflush() on
	  Windows because fwrite() doesn't support line-buffered I/O.
	  Bypass the CRT userspace buffering by submitting whole lines in
	  a single write to the kernel. This is equivalent to line-buffered FILE
	  writes, and is about 12% faster.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11632>

2026-05-11 12:49:55 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstinfo.c:
	  gstinfo: Use stack allocated memory when printing on Win32
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11624>

2026-05-10 03:45:43 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/printf/README:
	* gst/printf/gst-printf.h:
	* gst/printf/vasnprintf.c:
	  gstinfo: Don't ever use %n to know how much was written
	  The return value of snprintf will let us know that already. %n is only
	  needed for ancient snprintf implementation that didn't do that. We do
	  not support any of those.
	  This allows us to use snprintf instead of sprintf which is marginally
	  faster.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11624>

2026-05-10 01:58:42 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstinfo.c:
	* gst/printf/printf.c:
	* gst/printf/printf.h:
	  gstinfo: Use stack allocation for <=1KB messages
	  It should be super low-risk to add an extra KB to the stack at all
	  call-sites.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11624>

2026-05-12 22:46:00 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstdatetime.c:
	  datetime: Improve correctness of ISO-8601 string parsing
	  - Use unsigned integers of the correct sizes everywhere for parsing
	  to properly detect errors.
	  - Validate values first before using them.
	  - Actually validate timezone information and don't assert on invalid
	  timezone information.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11616>

2026-05-09 14:26:55 +0000  L. E. Segovia <amy@centricular.com>

	* gst/gstregistry.c:
	  registry: detect libgstreamer load from Android container and skip canonicalization
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11612>

2026-05-11 18:33:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.28.3

=== release 1.28.3 ===

2026-05-11 18:28:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gstreamer.doap:
	* meson.build:
	  Release 1.28.3

2026-04-15 16:31:02 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstvalue.c:
	  value: On buffer deserialization errors first unmap the buffer and then unref it
	  Also unref the buffer if mapping fails (which is technically impossible).
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5042
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11590>

2026-05-08 10:48:38 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstallocator.c:
	  allocator: Use g_try_malloc() instead of g_malloc() for sysmem
	  The latter will just abort the process if allocation fails but all the
	  surrounding code is already expecting it to return NULL on failure and this
	  change now allows to recover from impossible allocations.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11569>

2026-05-07 16:47:47 +0100  Arthur Chan <arthur.chan@adalogics.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Fix memory leak when subclass returns error
	  Signed-off-by: Arthur Chan <arthur.chan@adalogics.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11567>

2026-05-07 08:38:01 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gststreams.c:
	  streams: Add METADATA to the valid stream flags for serialization
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11566>

2026-05-07 08:35:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gststreams.c:
	  streams: Don't assert on empty stream flags during serialization
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11566>

2026-04-07 13:03:19 +0100  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstmacros.h:
	  gstmacros: Remove restrict definition
	  We now require recent GCC, Clang, and MSVC for building, all of which
	  provide the `restrict` keyword. Our define is now breaking external
	  code. F.ex., Qt 6.11 on MSVC uses `__declspec(restrict)` which gets
	  converted to `__declspec(__restrict)` which is not a valid keyword.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11563>

2026-04-07 13:09:24 +0100  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Require C std gnu11 or c11
	  When using gcc or clang, gnu11 will be used, and when using MSVC c11
	  will be used which will pass /std:c11. This provides us with the
	  `restrict` keyword on all supported platforms.
	  We can do this now because we require Visual Studio 2019.
	  This feature was added in Meson 1.3
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11563>

2026-05-05 10:18:23 -0400  Xavier Claessens <xclaessens@netflix.com>

	* gst/gstdevicemonitor.c:
	* tests/check/gst/gstdevice.c:
	  devicemonitor: Wait for start thread to finish when listing devices
	  This fixes a regression introduced by:
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9698
	  Since 1.28.0, gst_device_monitor_start() is not blocking any more, which
	  causes the list of devices returned by gst_device_monitor_get_devices()
	  to be incomplete. For example v4l2 provider would not fill udev
	  properties yet.
	  Solve this by blocking in gst_device_monitor_get_devices() for backward
	  compatibility. That way, applications that wish to not block can wait
	  for %GST_MESSAGE_DEVICE_MONITOR_STARTED before calling get_devices().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11554>

2026-05-03 11:48:44 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Fix documentation
	  Parameter docs for various functions were missing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11488>

2026-04-27 20:12:37 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstbitwriter.c:
	  bitwriter: Zero-initialize uninitialized data
	  Otherwise we will read uninitialized data when combining it with newly
	  written bits.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11471>

2026-04-27 18:18:22 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstbitwriter.h:
	* tests/check/libs/bitwriter.c:
	  bitwriter: Allow unsetting set bits when overwriting them
	  Previously the original bit pattern would always be preserved and new bits
	  only OR-ed into the array. This made it impossible to actually unset bits.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11471>

2026-04-28 14:52:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tools/gst-inspect.c:
	  gst-inspect-1.0: type for string caps fields should be 'string' not 'gchararray'
	  See e.g. gst-inspect-1.0 vorbisenc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11460>

2026-04-26 18:18:35 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/meson.build:
	  meson: Docs build is not supported when gstcheck is disabled
	  subprojects/gstreamer/docs/meson.build:147:13: ERROR: Unknown variable "gst_check_gir".
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11444>

2026-04-24 17:29:42 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* libs/gst/check/gstcheck.c:
	  gstcheck: Update 'Since' marker to 1.28.3
	  We backported this new symbol for CI use, but it's a good idea to
	  update the Since marker
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11387>

2026-03-31 11:58:28 +0200  Piotr Brzeziński <piotr@centricular.com>

	* libs/gst/check/gstcheck.c:
	* libs/gst/check/gstcheck.h:
	  check: Add API to run a test suite with forking disabled
	  We already needed to set CK_FORK=no in some tests (e.g. for NVIDIA elements). Turns out Vulkan tests on macOS also need
	  that, so this adds a helper API to use instead of having to override the envvar.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11387>

2026-02-06 21:42:25 +0000  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstpad.c:
	  gstpad: fix potential buffer leak in get_range_failed error handler
	  In gst_pad_get_range_unchecked(), the get_range_failed error handler
	  did not clean up res_buf when the getrange function returned an error.
	  If a getrange implementation allocates a buffer but then returns a
	  non-OK flow, the buffer would be leaked since it was never written
	  back to the caller's buffer pointer.
	  Add defensive cleanup matching the pattern already used in the
	  probe_stopped_unref handler in the same function.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11284>

2026-02-06 17:35:26 +0000  Thibault Saunier <tsaunier@igalia.com>

	* plugins/elements/gsttypefindelement.c:
	  typefind: fix buffer leak on pull_range failure during shutdown
	  When gst_pad_pull_range() fails during a racy pipeline teardown, the
	  already-allocated buffer may still be set in the output parameter even
	  though the return value is not GST_FLOW_OK. The code jumps to the
	  pause label without clearing the buffer, leaking it.
	  Use gst_clear_buffer() before the goto to properly release the buffer
	  on all error paths.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11284>

2026-04-07 20:07:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.28.2

=== release 1.28.2 ===

2026-04-07 20:02:23 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gstreamer.doap:
	* meson.build:
	  Release 1.28.2

2026-03-31 14:39:52 +0900  Seungha Yang <seungha@centricular.com>

	* plugins/elements/gstqueue.c:
	  queue: Fix potential use-after-free in log function
	  Avoid accessing already pushed event object
	  Regression introduced by
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10068
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11192>

2026-03-18 23:42:43 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/LINGUAS:
	* po/kk.po:
	* po/pt_BR.po:
	* po/sv.po:
	* po/zh_CN.po:
	  gstreamer: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11077>

2026-03-10 23:05:17 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Fix out_buffer leak in frame_free and missing ref in frame_copy
	  gst_base_parse_frame_free() only unrefs frame->buffer but not
	  frame->out_buffer. If finish_frame() exits early (e.g. due to a
	  g_return_val_if_fail check on adapter size, or via the scanning path),
	  out_buffer is left non-NULL and leaked when frame_free() zeroes the
	  frame struct via memset without unreffing it.
	  This can be triggered via h264parse (and other video parsers) in the
	  packetized path: gst_h264_parse_parse_frame() takes a buffer from the
	  frame_out adapter and sets frame->out_buffer. If finish_frame() then
	  fails its precondition checks, that buffer is never freed.
	  Also fix gst_base_parse_frame_copy() which uses g_memdup2() to copy
	  the frame struct, giving the copy the same out_buffer pointer as the
	  original, but only adds a ref for buffer and not for out_buffer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11056>

2026-03-07 11:47:29 -0500  Xavier Claessens <xclaessens@netflix.com>

	* gst/gstbin.c:
	  bin: iterator is not nullable
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11036>

2026-01-29 17:02:49 +0900  Seungha Yang <seungha@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Preserve upstream buffer duration if possible
	  When upstream buffer timestamps are reliable and subclass has
	  timestamp interpolation disabled, preserve the upstream buffer
	  duration instead of replacing it with GST_CLOCK_TIME_NONE.
	  Subclasses typically derive buffer duration from stream header
	  information, but this can be inaccurate for variable framerate
	  streams or when the signaled framerate itself is unreliable. By
	  forwarding the original buffer duration, this change allows
	  subclasses to handle timing more accurately in such cases.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11016>

2026-03-09 00:31:25 +0300  Vitaly Vlasov <vnigtha@gmail.com>

	* plugins/elements/gstfilesink.c:
	  filesink: Fix wrong open() in overwrite mode
	  Fix gst_fopen() when File-sink-file-mode=overwrite is selected on non Windows host
	  Fixes  #4946
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10990>

2026-03-03 18:24:41 -0300  L. E. Segovia <amy@centricular.com>

	* gst/gstregistry.c:
	  registry: Skip recursion into and from .dSYM bundles
	  The filtering of dSYM bundles was done *after* an early return that approved
	  non-dot directories.
	  For good measure, let's also add a filtering entry to ban directories when their
	  parent is a dSYM bundle.
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10850#note_3357038
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10970>

2026-01-29 12:34:46 +0100  Fabian Orccon <forccon@fluendo.com>

	* gst/gstsystemclock.c:
	* tests/validate/gst-tester.c:
	  all: GThreadFunc return type fixes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10955>

2026-02-26 01:53:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.28.1

=== release 1.28.1 ===

2026-02-26 01:44:06 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gstreamer.doap:
	* meson.build:
	  Release 1.28.1

2026-02-23 19:42:18 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gstutils.c:
	  gst: Add explanatory comment to call_async implementation
	  Clarify why notify is conditionally called for deprecated
	  gst_element_call_async()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10872>

2026-02-20 09:28:15 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tools/gst-stats.c:
	  gst-stats: Also allow ANSI colored logs without 0x in front of the thread id
	  The non-ANSI colored regex already handled this correctly and this was required
	  for Windows before already anyway.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10857>

2026-02-19 13:08:39 -0300  L. E. Segovia <amy@centricular.com>

	* gst/gstregistry.c:
	  registry: Skip .dSYM bundles when loading plugins, try 2
	  If paths within the .dSYM folder are being passed, the current filter won't cover them.
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10466#note_3330939
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10853>

2026-02-12 02:51:07 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstregistry.c:
	* meson.build:
	  gstreamer: Stop using deprecated G_MODULE_SUFFIX
	  It's deprecated on macOS because shared libs can be either .so or
	  .dylib. We already account for that, we might as well stop using
	  G_MODULE_SUFFIX and get rid of deprecation warnings.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-01-28 11:54:11 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  gstcheck: Disable fork on tvOS and watchOS
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-01-28 11:45:20 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/meson.build:
	* libs/gst/helpers/ptp/meson.build:
	* meson.build:
	  meson: Deprecate `system = 'ios'` in cross files, use subsystem
	  Since we require Meson 1.4.0, we can now use subsystem names (added in
	  1.2.0).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2023-04-02 16:53:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* scripts/dist-common-files.py:
	* scripts/meson.build:
	  modules: dist common files from monorepo root
	  Less noise when making releases, and just need to maintain one copy.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10822>

2026-02-15 17:45:19 +0000  Tim-Philipp Müller <tim@centricular.com>

	* README.md:
	  modules: remove subproject README.md from git
	  Will be added to the tarballs based on the monorepo README on dist.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10822>

2026-02-15 17:20:59 +0000  Tim-Philipp Müller <tim@centricular.com>

	* RELEASE:
	  modules: remove RELEASE from git, will be generated from template on dist
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10822>

2026-02-15 15:02:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	  modules: Remove NEWS from git which is generated from full release notes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10822>

2026-02-13 19:50:56 +0900  Seungha Yang <seungha@centricular.com>

	* tests/check/libs/bitwriter.c:
	  tests: bitwriter: Fix leak in test
	  Fix leak in test revealed after bugfix. The data returned from
	  gst_bit_writer_reset_and_get_data() must be freed with g_free()
	  as documented.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10805>

2026-02-13 15:57:13 +0900  Seungha Yang <seungha@centricular.com>

	* libs/gst/base/gstbitwriter.c:
	  bitwriter: Steal owned data in reset_and_get_data()
	  Avoid unnecessary data copy/free by returning the owned
	  data directly to the caller
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10805>

2026-02-11 16:49:02 +0900  Seungha Yang <seungha@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Handle gap event before segment
	  If gap events are received before segment event, log the situation and
	  gracefully return FALSE instead of relying on the critical warning path
	  in gst_segment_clip()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10789>

2026-02-05 16:31:30 +0100  François Laignel <francois@centricular.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: reverse playback: use segment stop position as start time
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10770>

2026-02-05 16:24:33 +0900  Seungha Yang <seungha@centricular.com>

	* plugins/elements/gstelements_private.c:
	  filesink: Report write error correctly on Windows
	  Propagate write() return value from the writev emulation path
	  as intended
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10758>

2026-02-05 15:48:30 +0900  Seungha Yang <seungha@centricular.com>

	* plugins/elements/gstelements_private.c:
	  filesink: Add debug category to file write helper
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10758>

2026-02-02 09:56:59 +0200  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.h:
	  aggregator: Various introspection annotations / docs fixes for vfuncs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10723>

2026-01-26 23:21:06 +0800  He Junyan <junyan.he@intel.com>

	* gst/gstcaps.c:
	  caps: gst_caps_append_structure should not allow NULL structure
	  This check can also help to fix the possible memory leak of features
	  in gst_caps_append_structure_full() when the structure is NULL.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10689>

2026-01-28 13:53:28 +0200  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/net/gstptpclock.c:
	  ptpclock: Initialize PTP message to avoid invalid uninitialized variable warning
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10656>

2026-01-28 11:57:56 +0200  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/helpers/ptp/parse.rs:
	  ptpclock: Fix copy-paste mistake in error messages
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10656>

2026-01-28 11:52:13 +0200  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/helpers/ptp/parse.rs:
	* libs/gst/net/gstptpclock.c:
	  ptpclock: Fix potential out-of-bounds read when parsing ANNOUNCE messages
	  The required length of the message payloader after the common header is 30
	  bytes, not 20 bytes.
	  Also fix the same bug in the Rust code, but here it wouldn't have caused any
	  other problems than a less optimal error message because there is actual bounds
	  checking.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4871
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10656>

2026-01-28 11:49:41 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstdatetime.c:
	* gst/gsturi.c:
	  gst: Fix a couple of new const-ness warnings around strstr() usage
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4871
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10656>

2026-01-14 23:47:04 +0100  Ruben Gonzalez <rgonzalez@fluendo.com>

	* libs/gst/base/gsttypefindhelper.c:
	  typefindhelper: EOS case explained in more details
	  Related to https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4848
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10632>

2026-01-09 20:17:52 +0100  François Laignel <francois@centricular.com>

	* plugins/elements/gstinputselector.c:
	  input-selector: don't wait for active pad when eos (active-segment mode)
	  When `sync-mode` is set to `active-segment` and current pad is not active,
	  don't wait depending on the active segment runtime if the active pad is EOS.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10621>

2026-01-09 18:20:51 +0100  François Laignel <francois@centricular.com>

	* plugins/elements/gstinputselector.c:
	  input-selector: fix regression receiving eos event
	  When a pad receives an eos event, it must first check for if the active pad
	  should be changed. Failure to do that could lead to the event not being
	  forwarded if current pad is the last pad remaining and it was not active
	  before.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10621>

2026-01-08 11:54:52 +0100  François Laignel <francois@centricular.com>

	* plugins/elements/gstinputselector.c:
	  input-selector: don't consider pad being released checking for eos
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10621>

2026-01-06 15:06:57 +0100  François Laignel <francois@centricular.com>

	* plugins/elements/gstinputselector.c:
	  input-selector: gracefully handle active pad disappearance
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10621>

2026-01-06 11:43:59 +0100  François Laignel <francois@centricular.com>

	* plugins/elements/gstinputselector.c:
	  input-selector: fix race condition selecting next active pad
	  When a pad is being released, the pad is marked as flushing and the selector
	  lock is released before the pad is removed from the element pad list. This is
	  necessary so any in-progress event or buffer handling for this pad terminates
	  before the pad is deactivated.
	  If another thread was trying to select the next active pad at this particular
	  moment, it could end up picking the pad being released before it was removed
	  from the element pad list.
	  This commit adds a flag which is set when the pad is being released, so it won't
	  get picked as the next active pad.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10621>

2026-01-27 17:10:54 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.28.0

=== release 1.28.0 ===

2026-01-27 17:02:33 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* README.md:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.28.0

2026-01-26 18:51:01 +0530  Sanchayan Maity <sanchayan@centricular.com>

	* libs/gst/base/gstaggregator.h:
	  aggregator: Annotate some GstAggregatorClass methods
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10596>

2026-01-26 14:54:59 +0530  Sanchayan Maity <sanchayan@centricular.com>

	* gst/gstelement.h:
	  element: Annotate request_new_pad
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10596>

2026-01-25 17:17:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/LINGUAS:
	* po/ar.po:
	* po/bg.po:
	* po/de.po:
	* po/es.po:
	* po/hr.po:
	* po/nl.po:
	* po/pl.po:
	* po/ro.po:
	* po/sl.po:
	* po/sr.po:
	* po/uk.po:
	  gstreamer: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10598>

2026-01-08 22:16:19 +0100  Ruben Gonzalez <rgonzalez@fluendo.com>

	* plugins/elements/gstidentity.c:
	  identity: cosmetic change to mimic fakesink
	  Remove extra space at chain log:
	  ```
	  $ gst-launch-1.0 -v videotestsrc num-buffers=1
	  ! identity silent=false name=i1 ! fakesink name=i2 silent=false
	  ...pts: 0:00:00.000000000, duration: 0:00:00.033333333, offset: 0, offset_end:  1, flags: 00000040..
	  ...pts: 0:00:00.000000000, duration: 0:00:00.033333333, offset: 0, offset_end: 1, flags: 00000040...
	  ```
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10518>

2026-01-07 10:51:59 +0100  Samuel Thibault <samuel.thibault@ens-lyon.org>

	* gst/gstinfo.c:
	  gstinfo: Fix build on systems where pthread_t is int
	  Otherwise we get
	  error: returning ‘pthread_t’ {aka ‘int’} from a function with return type
	  ‘GstTid’ {aka ‘void *’} makes pointer from integer without a cast [-Wint-conversion]
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10508>

2026-01-05 20:20:51 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.27.90

=== release 1.27.90 ===

2026-01-05 20:15:10 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.27.90

2026-01-05 18:57:01 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/af.po:
	* po/ast.po:
	* po/az.po:
	* po/be.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/ka.po:
	* po/ko.po:
	* po/lt.po:
	* po/lv.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/rw.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  gstreamer: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10497>

2025-12-30 17:53:22 -0500  Doug Nazar <nazard@nazar.ca>

	* tests/check/elements/queue.c:
	  tests: Fix several memory leaks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10476>

2025-12-28 17:28:22 +0000  L. E. Segovia <amy@centricular.com>

	* gst/gstregistry.c:
	  registry: Skip .dSYM bundles when loading plugins
	  The .dylibs here aren't actual binaries, they're mach-O files with debug
	  sections only. These will be naturally skipped/blacklisted, but after a
	  long stream of dlopen errors.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10466>

2025-12-28 17:27:10 +0000  L. E. Segovia <amy@centricular.com>

	* libs/gst/helpers/ptp/meson.build:
	  ptp: Fix helper test naming convention and gate it
	  This ensures it doesn't get built unless -Dtests=enabled, and that its symbols
	  don't get confused for gst-ptp-helper's.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10466>

2025-12-26 18:03:19 -0500  Doug Nazar <nazard@nazar.ca>

	* tests/check/gst/gstinfo.c:
	  info: Increase test interval when running under valgrind
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10456>

2025-12-19 15:40:26 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Solve some cyclic dependencies caused by test-only deps
	  gstreamer => gobject-introspection => cairo => fontconfig => freetype2 => harfbuzz => cairo
	  gst-plugins-base => libdrm => cairo => fontconfig => freetype2 => harfbuzz => cairo
	  gst-plugins-good => cairo => librsvg => cairo
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10422>

2025-12-19 15:19:42 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Disable introspection option on glib
	  Allows us to update glib and gobject-introspection. We don't use the
	  new introspection infrastructure merged in glib anyway.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10422>

2025-12-19 18:49:46 +0100  Alicia Boya García <aboya@igalia.com>

	* gst/gstutils.c:
	  utils: Fix race in gst_element_link_pads_filtered()
	  gst_element_link_pads_filtered() can occur at the same time the bin
	  is in the middle of a PAUSED->PLAYING transition.
	  Since before this patch the capsfilter state lock bit wasn't being set,
	  in the case of a failure to link it was possible for the state change to
	  NULL in gst_element_link_pads_filtered() to race against a state change
	  to PLAYING inside gst_bin_change_state_func() and lose.
	  This caused errors when the unreffed capsfilter was disposed moments
	  later, as the element dispose function found the element to be
	  accidentally in PLAYING state.
	  As of writing, this particular race reproduces consistently when running
	  check.gst-plugins-good.elements_qtdemux.test_qtdemux_sample_interleaving
	  under valgrind with the the default fair scheduler (valgrind
	  --fair-sched=try), both locally and in the CI. This patch fixes it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10383>

2025-12-18 09:19:52 +0100  Carlos Falgueras García <cfalgueras@fluendo.com>

	* plugins/elements/gstqueue.c:
	  queue: Log the status of the queue at debug level
	  Log the queue status at "GST_LEVEL_DEBUG" when it's empty or full by
	  reusing the current macro "STATUS()".
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10403>

2025-12-15 15:08:02 -0500  Daniel Morin <daniel.morin@collabora.com>

	* gst/gstvalue.c:
	* gst/gstvalue.h:
	* tests/check/gst/gstcaps.c:
	* tests/check/gst/gststructure.c:
	* tests/check/gst/gstvalue.c:
	* tools/gst-inspect.c:
	  gst: Rename GstValueSet to GstValueUniqueList
	  GObject-Introspection has an issue with GstSet because anything that starts with
	  'gst_value_set' becomes something that belongs to 'GstSet' but we have
	  gst_value_set_bitmask and gst_value_set_SOMETHING (), which all would become
	  methods of GstSet.
	  To avoid this, rename GstSet (aka GstValueSet) to GstUniqueList (aka
	  GstValueUniqueList).
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4813
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10384>

2025-12-13 22:17:41 +0100  François Laignel <francois@centricular.com>

	* plugins/elements/gstinputselector.c:
	* plugins/elements/gstinputselector.h:
	  input-selector: implement a two-phase sinkpad switch
	  Switching the sinkpad was racy: when a new sinkpad was selected, previous
	  active sinkpad could continue pushing events or buffers, while the new sinkpad
	  already started pushing its sticky events, leading to inconsistencies
	  downstream.
	  This commit implements a a two-phase switch approach:
	  1. When the user selects the active pad, it is first set as pending.
	  2. Functions handling buffers or events first check whether a new pad is pending
	  activation, in which case the new pad activation is commited.
	  3. After completing step 2, the functions handles the buffer or event.
	  The active pad can not change before the buffer or event is pushed.
	  Mutability of the pending pad is protected by SELECTOR_LOCK.
	  Mutability of the active pad is protected by a dedicated RW lock which can be
	  locked independently from SELECTOR_LOCK and can prevent active pad changes when
	  that would interfere with current processing.
	  The RW lock allows preventing the active_pad from being changed while we
	  are processing a buffer or event.
	  Only `gst_input_selector_maybe_commit_active_pad ()` can get this lock in
	  writer mode for a short period of time (committing the `pending_active_pad`
	  to `active_pad`). Other concurrent code paths lock it in reader mode.
	  When a `pending_active_pad` is available (and only in that case),
	  code paths calling `gst_input_selector_maybe_commit_active_pad ()` would
	  hang until the lock is available for writer mode, which is expected since
	  their processing should be performed with respect to the expected `active_pad`.
	  Note that a `GRecMutex` was also considered to prevent possible deadlocks
	  in callbacks, but only a `GRWLock` can deal with the concurrency which occurs
	  during preroll.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10204>

2025-12-09 19:13:20 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.27.50

=== release 1.27.50 ===

2025-12-09 19:08:48 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.27.50

2025-12-05 11:19:25 +0200  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstbasesrc.c:
	  basesrc: Fix decide allocation fallback
	  Fallback to generic pool, even if the change to the config was validated. Pools
	  may have other restrictions that may render them unusable.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10298>

2025-12-04 16:48:37 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Fix decide allocation fallback
	  Fallback to generic pool, even if the change to the config was validated. Pools
	  may have other restrictions that may render them unusable.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10298>

2025-11-28 14:12:53 -0600  Olivier Crête <olivier.crete@collabora.com>

	* tools/gst-inspect.c:
	  gst-inspect: Pretty print tensor caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9109>

2025-08-03 21:39:36 -0400  Daniel Morin <daniel.morin@collabora.com>

	* libs/gst/base/gstbasetransform.c:
	  basetransform: Explicitly set sinkpad flag to GST_PAD_FLAG_ACCEPT_INTERSECT
	  - Note this is NOT a breaking change.
	  - Base transform accept caps evaluation is based on intersection between caps
	  and template while the default behaviour should be to verify that caps is a
	  subset of the template. There's a specific pad flag to indicate accept caps
	  should be based on intersect (GST_PAD_FLAG_ACCEPT_INTERSECT). Since alot of
	  elements base based on bastransform and the expected behaviour from the base
	  class to evaluate accept caps is to use intersect we set the flat
	  GST_PAD_FLAG_ACCEPT_INTERSECT inside gst_base_transform_init() on the sinkpad
	  and inside gst_base_transform_acceptcaps_default() we use interect if the flag
	  is set otherwise we use gst_caps_is_subset (caps, template). This way
	  basetransform will honor the flag and allow element that want accept caps to
	  be base on subset to clear this flag.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9109>

2025-10-30 17:03:35 -0400  Daniel Morin <daniel.morin@collabora.com>

	* docs/random/caps_grammar:
	  doc: adding caps grammar doc
	  - Include new grammar for GST_TYPE_SET
	  - Converted doc to markdown
	  - Updated grammar description based on what exist.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10262>

2025-07-18 15:14:52 -0400  Daniel Morin <daniel.morin@collabora.com>

	* tests/check/gst/gstcaps.c:
	* tests/check/gst/gststructure.c:
	* tests/check/gst/gstvalue.c:
	  test: Tests for GstSet
	  - tests for GstSet
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10262>

2025-07-29 09:12:46 -0400  Daniel Morin <daniel.morin@collabora.com>

	* gst/gststructure.c:
	  gststructure: fix issue when structure contain GST_TYPE_SET
	  - 'set' already use cast annotation for divisor, we don't add another one, to
	  avoid generating '(set)(/set){}'.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10262>

2025-11-28 14:24:53 -0500  Daniel Morin <daniel.morin@collabora.com>

	* gst/gstvalue.c:
	  gstvalue: remove code duplication from GstList
	  - Improve code maintainability by removing duplicated code
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10262>

2025-07-18 15:06:03 -0400  Daniel Morin <daniel.morin@collabora.com>

	* gst/gst_private.h:
	* gst/gststructure.c:
	* gst/gstvalue.c:
	* gst/gstvalue.h:
	  gstvalue: adding GstSet
	  - Adding GstSet which reuse list annotation `{}`
	  - Add new annotation to type-cast container type.
	  `(default_type/container_type){}`. default_type and container_type are both
	  optional.
	  Examples:
	  `(int/set){1}`
	  `(/set){1}`
	  `(int)`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10262>

2025-12-02 18:58:29 +0100  Christoph Reiter <reiter.christoph@gmail.com>

	* plugins/elements/gstfilesink.c:
	  gstfilesink: fix the build with recent mingw-w64
	  The build fails with:
	  /clang64/include/unistd.h:59:5: error: conflicting types for '_chsize'
	  59 | int ftruncate(int, off_t)
	  since ftruncate is redefined before unistd.h is included.
	  Avoid it by including the system headers first.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10268>

2025-12-01 12:53:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gststreams.c:
	* gst/gststreams.h:
	  streams: Add GST_STREAM_TYPE_METADATA for metadata streams
	  And handle it inside parsebin and tsdemux.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10249>

2025-11-24 19:42:58 +0900  Haejung Hwang <haejung.hwang@lge.com>

	* gst/gstpipeline.c:
	  gstpipeline: Improve resource cleanup logic for clock objects
	  Clarify and strengthen object release handling by:
	  -Use gst_clear_object() for NULL-safe unref and to avoid dangling pointers
	  -Ensure proper refcounting when reusing cur_clock
	  -Limit clock scope to where it’s needed for base-time and clock recalculation
	  -Fix memory leak in error path by releasing cur_clock
	  Reason:
	  This change makes cleanup more predictable and prevents scenarios where two
	  pointers could reference the same object, ensuring each resource is released
	  only once and pointers are invalidated after use. This improves robustness and
	  maintains consistent object lifetime management
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10179>

2025-11-27 10:23:25 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/gstvalue.c:
	  gstvalue: Fix GstAllocationParams string convertion on 32bit
	  The GstAllocationParams structure uses gsize, which is not always 64bit. When
	  passed to a vararg it must be casted, so it uses the right amount of space.
	  Not doing so lead to crash when using this feature on 32bit plaforms.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10222>

2025-11-26 20:49:42 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstdeviceprovider.c:
	  device-provider: Fix typos in documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9698>

2025-11-25 18:47:48 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* tests/check/gst/gstdevice.c:
	  tests/gstdevice: Unbreak the test monitor provider
	  The test provider with "monitoring support" doesn't emit any devices
	  when started, but it does emit devices when probed (because it wasn't
	  started). That's a broken device provider implementation, which caused
	  the test to break when we started doing async device monitoring.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9698>

2025-11-26 18:27:23 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstdevicemonitor.c:
	  device-monitor: Use GSList for started_providers for thread-safety
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9698>

2025-09-16 13:20:08 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstdevicemonitor.c:
	* tests/check/gst/gstdevice.c:
	  device-monitor: Start providers in a separate thread
	  This avoids blocking when gst_device_monitor_start() is called, which
	  avoids each app having to spawn a separate thread just to start device
	  monitoring. This is especially important on Windows, where device
	  probing can take several seconds.
	  Calling gst_device_monitor_get_devices() immediately after still does
	  the right thing; the existing locking still applies.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9698>

2025-11-25 14:04:19 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstmessage.c:
	* gst/gstmessage.h:
	  gstmessage: Add GST_MESSAGE_DEVICE_MONITOR_STARTED
	  In the next commit, this will be used to signal that the device
	  monitor has completed async startup.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9698>

2025-11-11 14:37:39 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* tests/check/gst/gstdevice.c:
	  tests: Move gstdevice from fail_unless to ck_assert
	  This is better, because ck_assert_*_eq etc will print both arguments
	  when the comparison fails. fail_unless_equals_int etc exist, but the
	  there's no equivalent for ck_assert_int_gt etc.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9698>

2025-10-28 20:09:35 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstinfo.c:
	* gst/gstinfo.h:
	  gstinfo: Add convenience macros around GstLogContext for logging once
	  The purpose is to avoid having to add boilerplate to every file/plugin
	  where you want to add a log message which will be printed exactly
	  once, with the default settings for GstLogContext.
	  Somehow, this is also faster than using the explicit API:
	  GST_WARNING_ONCE is 15% faster than GST_CTX_WARNING
	  The macros are the only publicly-documented API, the functions that
	  are wrapped by the macros are not meant to be used directly, except by
	  bindings.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9939>

2025-11-27 03:33:06 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstinfo.h:
	  gstinfo: Fix some mistakes and typos in the logging macro docs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9939>

2025-11-24 14:03:50 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/gsttaskpool.h:
	  videoconvertscale: add support for task pool context
	  This allows applications to provide a shared task pool via context for
	  multi-threaded video conversion, enabling better control over thread
	  management across multiple elements.
	  The element now implements set_context() to receive task pools and uses
	  them when creating video converters. If no n-threads property is explicitly
	  set, the element will automatically use the max threads from the provided
	  shared task pool.
	  A new test verifies the task pool is actually used by the video converter
	  during processing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10047>

2025-11-11 20:55:41 -0500  Thibault Saunier <tsaunier@igalia.com>

	* gst/gsttaskpool.c:
	* gst/gsttaskpool.h:
	* tests/check/gst/gstcontext.c:
	  gsttaskpool: add task pool context type and helper API
	  Add GST_TASK_POOL_CONTEXT_TYPE ("gst.task.pool") well-known context
	  with helper functions gst_context_set/get_task_pool() for
	  pipeline-scoped task pool sharing between elements.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10047>

2025-01-08 09:29:13 -0500  Xavier Claessens <xclaessens@netflix.com>

	* gst/gstsystemclock.c:
	* gst/gstsystemclock.h:
	  GstClock: Add gst_clock_is_system_monotonic_clock
	  It was duplicated in many places and can be useful outside of GStreamer
	  as well.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8257>

2025-11-25 18:29:12 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gststreamcollection.c:
	  streamcollection: Fix race condition between disconnecting notify proxy and notifications
	  It can happen that a GstStream gets notified at the very same time as a
	  collection that contains it is being disposed. When timing is bad this can end
	  up using an already freed GstStreamCollection for proxying the signal.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10196>

2025-11-25 18:20:37 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gststreamcollection.c:
	  streamcollection: Use a GstVecDeque instead of a GQueue for the streams
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10196>

2022-06-11 16:19:57 +0900  Camilo Celis Guzman <camilo@pexip.com>

	* libs/gst/check/libcheck/check_run.c:
	  libcheck: use SIGABRT instead of SIGKILL on timeout
	  This allows user-level signal handler to catch this if necessary.
	  Co-authored-by: Frederik Vestre <frederik.vestre@pexip.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2585>

2025-11-25 09:33:07 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	  clocksync: Update plugin docs cache
	  Update for new rate property and resync signal
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7463>

2025-11-24 15:30:55 +0900  Seungha Yang <seungha@centricular.com>

	* tests/check/elements/clocksync.c:
	  tests: clocksync: Add QoS test with custom rate
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7463>

2025-11-20 19:14:25 +0900  Seungha Yang <seungha@centricular.com>

	* tests/examples/clocksync/clocksync-resync.c:
	* tests/examples/clocksync/meson.build:
	* tests/examples/meson.build:
	  examples: Add clocksync's resync signal example
	  Demonstrates the resync signal usage
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7463>

2025-11-11 16:14:50 +0900  Seungha Yang <seungha@centricular.com>

	* plugins/elements/gstclocksync.c:
	  clocksync: Add resync action signal
	  Adding a new action signal so that clocksync can recalculate
	  ts-offset dynamically without state change
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7463>

2024-09-06 21:42:18 +0900  Seungha Yang <seungha@centricular.com>

	* plugins/elements/gstclocksync.c:
	* plugins/elements/gstclocksync.h:
	* tests/check/elements/clocksync.c:
	  clocksync: Add rate property
	  Adding rate property so that clocksync can synchronize
	  buffer running time against pipeline clock with specified rate factor.
	  This property can be useful if users want to throttle down pipeline
	  throughput, such as a non-realtime transcoding pipeline
	  where the pipeline's CPU and/or hardware resource consumption
	  needs to be limited.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7463>

2025-11-20 20:52:08 -0500  Doug Nazar <nazard@nazar.ca>

	* gst/gstinfo.h:
	  gstinfo: Force comparision to same types
	  warning: equality comparison between function pointer and void pointer ('::GstLogFunction' (aka 'void (*)
	  (_GstDebugCategory *, GstDebugLevel, const char *, const char *, int, _GObject *, _GstDebugMessage *, void *)')
	  and 'void *') [-Wpedantic]
	  263 |   gst_debug_add_log_function (_peel_func, _peel_user_data, _peel_notify);
	  |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	  /usr/include/gstreamer-1.0/gst/gstinfo.h:598:14: note: expanded from macro 'gst_debug_add_log_function'
	  598 |   if ((func) == (void *) gst_debug_log_default) {    \
	  |       ~~~~~~ ^  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10165>

2025-11-07 19:29:24 -0300  L. E. Segovia <amy@centricular.com>

	* gst/gst.h:
	* gst/gstcpuid.c:
	* gst/gstcpuid.h:
	* gst/meson.build:
	  gst: implement Orc-less cpuid routine for selecting asm routines
	  This commit removes the use of Orc's default target machinery as a way
	  to do CPUID detection on x86 and Arm. Instead I port xsimd's CPU
	  detection routine to C, cleaning up the instruction sets we don't use,
	  and also adding support for GCC/Clang's cpuid and xgetbv builtins.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10004>

2025-11-17 14:58:16 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstutils.c:
	  utils: Annotate temp array in gst_calculate_linear_regression() as such
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10108>

2025-10-28 17:03:30 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstinfo.c:
	* gst/gstinfo.h:
	  gstinfo: Forbid GST_LEVEL_MEMDUMP for GstLogContext logging
	  This wasn't hooked up correctly, and it's not clear how to implement
	  this without strong trade-offs. Forbid for now, and we can add it
	  later if needed.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4722
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9936>

2025-11-12 10:12:22 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstobject.c:
	* gst/gstobject.h:
	* tests/check/gst/gstobject.c:
	  object: Add gst_object_get_toplevel() to get the toplevel object
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10075>

2025-11-13 11:00:58 +0000  Philippe Normand <philn@igalia.com>

	* gst/gst.c:
	* gst/gst.h:
	* tests/check/gst/gst.c:
	  gst: Add gst_check_version() utility function
	  Useful for version runtime checks.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9915>

2025-11-12 13:25:16 +0100  Linus Svensson <linussn@axis.com>

	* gst/gstcaps.c:
	* gst/gstcaps.h:
	  caps: Correct the cast for const GstCaps
	  This fixes projects that compile with -Wcast-qual.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10076>

2025-11-12 13:10:58 +0100  Linus Svensson <linussn@axis.com>

	* gst/gstinfo.h:
	  info: Remove redundant ';'
	  This fixes projects that compile with -Wpedantic.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10076>

2025-11-11 20:12:41 +0900  Seungha Yang <seungha@centricular.com>

	* plugins/elements/gstqueue.c:
	  queue: Use GST_PTR_FORMAT everywhere
	  Prints detailed information about the object instead of the pointer
	  address
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10068>

2025-11-11 11:55:52 +0100  Linus Svensson <linussn@axis.com>

	* gst/gstvalue.c:
	  value: Add missing for symbol for builds without asserts/checks
	  gst_value_list_or_array_are_compatible needs to be defined if either
	  g_assert or glib_checks are turned on, and not if both are enabled.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10069>

2025-06-11 16:21:35 +0900  dongjoo.kim <dongjoo.kim@lge.com>

	* gst/gstelementfactory.c:
	  factory: Move debug logging to clarify code
	  Both `factory` and `oclass->elementfactory` are the same pointer here so it will
	  always be valid, even after the `gst_object_unref()`, but moving the debug logging
	  before it makes it more obvious that this code is actually correct.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10049>

2025-11-07 09:14:34 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstmemory.c:
	  memory: Clear various fields of GstMapInfo/GstVideoFrame/GstAudioBuffer on unmap
	  This avoids use-after-frees and allows these functions to be called multiple
	  times without problems.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10020>

2025-11-05 15:25:33 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstbuffer.c:
	* gst/gstbuffer.h:
	* gst/gstconfig.h.in:
	* gst/gstmemory.c:
	* gst/gstmemory.h:
	* gst/gstminiobject.c:
	* gst/gstvalue.c:
	* tests/check/gst/gstbuffer.c:
	* tests/check/gst/gstmemory.c:
	  memory: Add gst_map_info_clear() and use GST_MAP_REF_MEMORY for gst_buffer_map()
	  Also deprecate GstMemoryMapInfo and GstBufferMapInfo, and add g_autoptr support
	  for GstMapInfo directly.
	  This simplifies usage of the GstMapInfo API and reduces a bit of
	  inconsistencies.
	  For consistency, also add gst_map_info_init().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10020>

2025-11-05 15:04:09 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstmemory.c:
	* gst/gstmemory.h:
	* tests/check/gst/gstmemory.c:
	  memory: Add new GST_MAP_REF_MEMORY flag
	  This allows the GstMapInfo to store a strong reference to the memory and
	  unref it again later on unmap.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10020>

2025-11-06 17:06:02 +0100  Piotr Brzeziński <piotr@centricular.com>

	* gst/gststructure.c:
	  structure: Don't crash if GArray has NULL value
	  NULL can be a valid value in this case and it would previously cause a segfault here.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10036>

2025-11-05 09:43:55 +0200  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/gst/gstinfo.c:
	  info: Fix test pattern to check for an expected debug log line
	  There's not necessarily a `0` between the sub-second `.` and the debug category.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10012>

2025-11-03 18:45:20 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstinfo.c:
	  info: Fix format string types for pid/tid on Windows
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9913>

2025-11-03 16:19:30 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstinfo.c:
	* gst/meson.build:
	  info: Use gettid() when available
	  It is always available on Android, and on Linux with glibc > 2.30 and
	  recent musl. It is also available on various BSD versions.
	  This is faster than the syscall since the value will be cached by the
	  libc and avoids a context switch.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9913>

2025-11-03 12:19:08 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstinfo.c:
	  info: Update PID/TID/pointer format strings for this century
	  Pointers are generally 32 or 64 bits and use the full range, so use `%16p` /
	  `%8p` for them.
	  PID/TID are 32 bit integers on Windows, macOS and Linux and actually use the
	  full range nowadays too so always use `%10d` / `%10lu`.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9913>

2025-11-03 12:08:01 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstinfo.c:
	  info: Define correct types for the PID between Windows and Linux
	  And also don't truncate it when using it for the debug log filename.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9913>

2025-11-03 10:04:55 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstinfo.c:
	  info: Print thread ID instead of GThread handle on Linux and otherwise pthread ID
	  gdb and lldb both print both the pthread_self() thread ID as well as the
	  LWP (gettid) thread ID. ps/htop print the LWP (gettid) thread ID.
	  We print the LWP ID here as that covers more applications, and print it as
	  decimal integer instead of hexadecimal as that's what those tools do too.
	  On other UNIXes, print the pthread ID hexadecimal as it's at least more useful
	  than the GThread handle when debugging.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9913>

2025-10-26 13:56:34 +0000  Seungha Yang <seungha@centricular.com>

	* gst/gstinfo.c:
	  info: Print thread ID instead of GThread handle on Windows
	  Since Visual Studio debugger prints thread id values,
	  printing the same value here would be much more useful than
	  logging random GThread address.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9913>

2024-03-16 03:41:35 -0300  Val Packett <val@packett.cool>

	* gst/gsttaglist.c:
	* gst/gsttaglist.h:
	  gstreamer: capitalize dB consistently
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6369>

2024-03-14 02:26:35 -0300  Val Packett <val@packett.cool>

	* gst/gsttaglist.c:
	* gst/gsttaglist.h:
	  gstreamer: Add EBU R 128 gain tags (RFC 7845)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6369>

2025-10-25 08:56:00 +0900  Inbok Kim <inbok.kim@lge.com>

	* gst/printf/vasnprintf.c:
	  vasnprintf: free dynamic tmp buffer on error to prevent memory leak
	  If an error occurs and a dynamically allocated tmp buffer is used,
	  ensure it is properly freed to prevent a memory leak.
	  Upstream fix reference:
	  https://cgit.git.savannah.gnu.org/cgit/gnulib.git/commit/?id=4dd9d8a7fa85e9e9223a6c175b4a3fd46d222ff6
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9893>

2025-06-11 16:02:13 +0900  dongjoo.kim <dongjoo.kim@lge.com>

	* gst/parse/grammar.y.in:
	  parse: Move g_strfreev() a bit later to avoid use-after-free
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9871>

2025-02-28 19:09:46 +0900  DongJoo Kim <dongjoo.kim@lge.com>

	* gst/gstinfo.h:
	  gstinfo: Added parentheses to ensure proper evaluation of conditions in logging level checks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9917>

2025-06-10 14:40:16 +0900  dongjoo.kim <dongjoo.kim@lge.com>

	* gst/gstutils.c:
	  utils: Fix leak in gst_util_filename_compare
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9916>

2025-10-25 12:08:25 +0100  Xavier Claessens <xclaessens@netflix.com>

	* tools/gst-launch.c:
	  gst-launch: Print details of error msg
	  It does it already for every message in bus_handler(), which includes
	  warnings and info, but not for error messages that are instead handled
	  by bus_sync_handler().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9894>

2025-10-10 12:39:20 +0200  Havard Graff <havard@pexip.com>

	* gst/gstpad.c:
	  gstpad: make gst_pad_forward not O(n²)
	  With many pads, this function grinds to a complete halt.
	  By instead using a hash-table, and only bother to check if we have
	  been resynced (because if not, our pads are in order from the iterator),
	  the algorithm is more like O(n)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9902>

2025-10-15 11:28:21 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstbuffer.h:
	* gst/gstbufferlist.h:
	* gst/gstpad.h:
	  gst: Mark callback inout parameters as such
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9847>

2025-10-14 09:12:47 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstbin.c:
	* gst/gstbin.h:
	* gst/gstbuffer.c:
	* gst/gstbuffer.h:
	* gst/gstbufferlist.c:
	* gst/gstcaps.c:
	* gst/gstcaps.h:
	* gst/gstclock.c:
	* gst/gstelement.h:
	* gst/gstelementfactory.c:
	* gst/gstiterator.h:
	* gst/gstmemory.c:
	* gst/gstmessage.h:
	* gst/gstminiobject.h:
	* gst/gstsample.c:
	* gst/gststructure.c:
	* gst/gststructure.h:
	* gst/gsttaglist.c:
	* gst/gstvalue.h:
	  Revert "doc: python: Document PyGObject overrides for core GStreamer"
	  This reverts commit 81f5440159ca43194e98327e42bdd6a48e946d69.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9840>

2025-09-28 10:46:19 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstplugin.c:
	  gstplugin: convert plugin loading mutex to recursive mutex
	  This fixes a deadlock that occurs when a plugin tries to load another
	  plugin during its initialization. The deadlock happens when:
	  1. GES plugin is being loaded and calls load_python_formatters()
	  2. load_python_formatters() tries to load the Python plugin
	  3. Both operations try to acquire gst_plugin_loading_mutex
	  4. Since it's a regular mutex, the second lock attempt deadlocks
	  Moving to a RecMutex is safe as only one thread is accessing the
	  internal state.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9759>

2025-10-04 15:14:31 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/gstbin.h:
	* gst/gstghostpad.h:
	* gst/gstpad.h:
	* gst/gstpadtemplate.h:
	* gst/gstpipeline.h:
	* libs/gst/controller/gstargbcontrolbinding.h:
	* libs/gst/controller/gstdirectcontrolbinding.h:
	* libs/gst/controller/gstproxycontrolbinding.h:
	* tests/check/gst/gstelement.c:
	  gst: Add G_GNUC_WARN_UNUSED_RESULT to constructors
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9796>

2025-10-11 09:20:32 -0300  Thibault Saunier <tsaunier@igalia.com>

	* libs/gst/controller/controller-prelude.h:
	* libs/gst/controller/gsttimedvaluecontrolsource.c:
	* libs/gst/controller/gsttimedvaluecontrolsource.h:
	  controller: Add MT-safe gst_timed_value_control_source_list_control_points()
	  gst_timed_value_control_source_get_all() is not thread-safe because it
	  returns transfer-container - the GList contains pointers to internal
	  GstControlPoint structures that can be freed by another thread while
	  being accessed, causing use-after-free bugs.
	  The new list_control_points() returns a full copy of the timed values.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9830>

2025-10-10 20:56:21 -0300  Thibault Saunier <tsaunier@igalia.com>

	* libs/gst/controller/gsttimedvaluecontrolsource.c:
	  controller: Fix get_all() return type annotation in GIR
	  The method returns a list of GstControlPoint, not GstTimedValue.
	  This fixes the type annotation to match the actual return type.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9828>

2025-09-24 13:58:54 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstvalue.c:
	  gstvalue: Support 0b/0B prefix for bitmasks
	  C23, Python, and Rust support binary literals with the 0b or 0B
	  prefix, which is quite convenient when dealing with bitmasks.
	  Unfortunately we cannot use this for serializing due to
	  backwards-compat.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9732>

2025-09-29 16:52:43 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gstbin.c:
	  bin: Port to gst_object_call_async
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/869>

2025-09-29 16:50:54 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gstelement.c:
	* gst/gstelement.h:
	* tests/check/gst/gstelement.c:
	  gst: Deprecate gst_element_call_async method
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/869>

2021-08-19 01:20:01 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gst_private.h:
	* gst/gstelement.c:
	* gst/gstobject.c:
	* gst/gstobject.h:
	* gst/gsttask.c:
	* gst/gstutils.c:
	* gst/gstutils.h:
	* tests/check/gst/gstelement.c:
	* tests/check/gst/gstobject.c:
	* tests/check/gst/gstutils.c:
	  gst: Add gst_call_async() and gst_object_call_async() variants
	  Adding two gst_element_call_async() variant APIs, gst_object_call_async()
	  and gst_call_async(). gst_object_call_async() is functionally identical to
	  the gst_element_call_async() but it's allowed to be called against GstObject.
	  And gst_call_async() can be used for any asynchronous function call
	  without GstObject dependency.
	  Not only the case of state change which was mentioned in
	  the commit which introduced gst_element_call_async() API,
	  there are various cases where an operation must happen from another thread.
	  For instance, assume that an object has its own work thread
	  and the object can notify error via g_object_notify() or it's
	  variant from internal work thread. As a response of the notify callback,
	  callee might want to destroy the object. Then, which might
	  result in an attempt for destroying the object from its work thread
	  (i.e., try to join thread from self). To avoid the case, notification
	  must happen from non-work thread, or caller should destroy the
	  object from other thread.
	  Although each element/plugin can implement its own thread pool
	  for the case, expanding the gst_element_call_async() method
	  would be an easy way to provide a method for such cases.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/869>

2025-10-05 14:56:35 -0400  Xavier Claessens <xclaessens@netflix.com>

	* libs/gst/helpers/meson.build:
	  meson: Add missing devenv values
	  Those are the differences spotted between:
	  - meson devenv -C builddir --dump meson.env
	  - ./gst-env.py --only-environment > gst.env
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9800>

2025-09-22 12:53:31 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstbin.c:
	* gst/gstbin.h:
	* gst/gstbuffer.c:
	* gst/gstbuffer.h:
	* gst/gstbufferlist.c:
	* gst/gstcaps.c:
	* gst/gstcaps.h:
	* gst/gstclock.c:
	* gst/gstelement.h:
	* gst/gstelementfactory.c:
	* gst/gstiterator.h:
	* gst/gstmemory.c:
	* gst/gstmessage.h:
	* gst/gstminiobject.h:
	* gst/gstsample.c:
	* gst/gststructure.c:
	* gst/gststructure.h:
	* gst/gsttaglist.c:
	* gst/gstvalue.h:
	  doc: python: Document PyGObject overrides for core GStreamer
	  Add comprehensive documentation for Python-specific functionality
	  provided by PyGObject overrides in core GStreamer classes including:
	  - Bin: make_and_add helper method and multi-element add() support
	  - Buffer/Memory: context manager support for map operations
	  - Caps: constructor overrides and container protocol support
	  - Clock: TIME_ARGS utility function
	  - Element: link_many static method
	  - ElementFactory: convenience metadata getters and classmethod make()
	  - Iterator: Python iteration protocol support
	  - MiniObject: make_writable and flags property
	  - Structure: dictionary-like access and constructor overrides
	  - TagList: container protocol support
	  Documentation is placed in the appropriate C function documentation
	  where overrides enhance existing functionality, or in class-level
	  SECTION documentation for new helper methods.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9717>

2025-09-20 19:35:34 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst-plugins-doc-cache-generator.py:
	  doc: Generate hotdoc templates dynamically in build directory
	  Generate the hotdoc language templates directly in code when building
	  documentation. These templates enable language-specific documentation
	  blocks and are now automatically available to all GStreamer subprojects.
	  This allows markdown documentation to use directives like {{ C.md }},
	  {{ PY.md }}, {{ JS.md }}, etc. for language-specific content blocks.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9717>

2025-09-11 09:58:48 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/gstvalue.c:
	  base: mark items that are unused when checks or asserts are disabled
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9760>

2025-09-25 08:38:47 -0400  Doug Nazar <nazard@nazar.ca>

	* libs/gst/base/gstadapter.h:
	* libs/gst/base/gstaggregator.h:
	* libs/gst/base/gstbaseparse.h:
	* libs/gst/base/gstbasesink.h:
	* libs/gst/base/gstbasesrc.h:
	* libs/gst/base/gstbasetransform.h:
	* libs/gst/base/gstbitwriter.h:
	* libs/gst/base/gstbytewriter.h:
	* libs/gst/base/gstcollectpads.h:
	* libs/gst/base/gstdataqueue.h:
	* libs/gst/base/gstflowcombiner.h:
	* libs/gst/base/gsttypefindhelper.h:
	* libs/gst/check/gstharness.h:
	* libs/gst/check/gsttestclock.h:
	* libs/gst/controller/gstinterpolationcontrolsource.h:
	* libs/gst/controller/gstlfocontrolsource.h:
	* libs/gst/controller/gsttimedvaluecontrolsource.h:
	* libs/gst/controller/gsttriggercontrolsource.h:
	* libs/gst/net/gstnetclientclock.h:
	* libs/gst/net/gstnettimepacket.h:
	* libs/gst/net/gstnettimeprovider.h:
	* libs/gst/net/gstptpclock.h:
	  gst: Add G_GNUC_WARN_UNUSED_RESULT to funcs with transfer full returns
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9771>

2025-09-24 15:33:02 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/gst.c:
	* gst/gstinfo.h:
	* tests/check/elements/leaks.c:
	* tests/check/gst/gstbuffer.c:
	* tests/check/gst/gstevent.c:
	* tests/check/gst/gstmessage.c:
	* tests/check/gst/gstpad.c:
	  gst: fixes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9766>

2025-09-24 15:30:11 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/gstallocator.h:
	* gst/gstatomicqueue.h:
	* gst/gstbin.h:
	* gst/gstbuffer.h:
	* gst/gstbufferlist.h:
	* gst/gstbufferpool.h:
	* gst/gstbus.h:
	* gst/gstcaps.h:
	* gst/gstcapsfeatures.h:
	* gst/gstchildproxy.h:
	* gst/gstclock.h:
	* gst/gstcontext.h:
	* gst/gstcontrolbinding.h:
	* gst/gstdatetime.h:
	* gst/gstdevice.h:
	* gst/gstdevicemonitor.h:
	* gst/gstdeviceprovider.h:
	* gst/gstdeviceproviderfactory.h:
	* gst/gstelement.h:
	* gst/gstelementfactory.h:
	* gst/gstevent.h:
	* gst/gstghostpad.h:
	* gst/gstidstr.h:
	* gst/gstinfo.h:
	* gst/gstiterator.h:
	* gst/gstmessage.h:
	* gst/gstminiobject.h:
	* gst/gstobject.h:
	* gst/gstpad.h:
	* gst/gstpadtemplate.h:
	* gst/gstparse.h:
	* gst/gstpipeline.h:
	* gst/gstplugin.h:
	* gst/gstpluginfeature.h:
	* gst/gstpreset.h:
	* gst/gstpromise.h:
	* gst/gstquery.h:
	* gst/gstregistry.h:
	* gst/gstsample.h:
	* gst/gstsegment.h:
	* gst/gststreamcollection.h:
	* gst/gststreams.h:
	* gst/gststructure.h:
	* gst/gsttaglist.h:
	* gst/gsttask.h:
	* gst/gsttaskpool.h:
	* gst/gsttoc.h:
	* gst/gsttocsetter.h:
	* gst/gsttracerrecord.h:
	* gst/gsturi.h:
	* gst/gstutils.h:
	  gst: Mark functions WARN_UNUSED_RESULT which return is full transfer
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9766>

2025-09-11 09:38:48 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/benchmarks/complexity.c:
	* tests/benchmarks/controller.c:
	* tests/benchmarks/gstbufferstress.c:
	* tests/benchmarks/mass-elements.c:
	* tests/check/elements/selector.c:
	* tests/check/elements/tee.c:
	* tests/check/generic/states.c:
	* tests/check/gst/gstbus.c:
	* tests/check/gst/gstghostpad.c:
	* tests/check/gst/gstmeta.c:
	* tests/check/gst/gstminiobject.c:
	* tests/check/gst/gstutils.c:
	* tests/check/gst/gstvalue.c:
	* tests/check/libs/basesrc.c:
	* tests/check/libs/gsttestclock.c:
	* tests/check/libs/transform1.c:
	* tests/check/pipelines/cleanup.c:
	* tests/check/pipelines/simple-launch-lines.c:
	  gst: tests: convert g_assert() to g_assert_*() and mark unused items
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9724>

2025-09-11 09:30:56 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/gstmessage.c:
	* gst/gstminiobject.c:
	* gst/gstvalue.c:
	  gst: mark items that are unused when checks or asserts are disabled
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9724>

2025-09-11 09:26:25 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/gstmacros.h:
	  gst: add macros to mark items unused when checks or asserts disabled
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9724>

2025-09-25 08:19:07 +0900  Inbok Kim <inbok.kim@lge.com>

	* plugins/elements/gstmultiqueue.c:
	  multiqueue: Fix object reference handling in signal callbacks
	  Move gst_object_unref() calls after signal emissions in overrun and
	  underrun callbacks to ensure the multiqueue object remains valid
	  during signal handler execution.
	  This prevents potential race conditions where signal handlers might
	  access a freed object, improving thread safety in multiqueue operations.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9738>

2025-09-25 09:46:23 +0900  Inbok Kim <inbok.kim@lge.com>

	* libs/gst/net/gstnetclientclock.c:
	  netclientclock: Fix memory leak in error paths
	  Add missing g_object_unref() calls for servaddr in error handling
	  blocks to prevent memory leaks when socket creation, binding, or
	  address resolution fails.
	  The servaddr object was not being properly unreferenced in the
	  no_socket, bind_error, and getsockname_error error paths, leading
	  to memory leaks in failure scenarios.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9740>

2025-09-24 12:55:28 -0400  Xavier Claessens <xclaessens@netflix.com>

	* tools/gst-launch.c:
	  gst-launch: Do not assume error messages have a src element
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9737>

2025-09-18 18:39:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstbytereader.c:
	* libs/gst/base/gstbytewriter.c:
	  bytereader: Add various missing annotations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9709>

2025-09-18 18:23:46 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstadapter.c:
	  adapter: Annotate size parameters of `take()` and `map()` as in-parameters
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9709>

2025-09-15 14:29:23 -0700  Xavier Claessens <xclaessens@netflix.com>

	* libs/gst/base/gstadapter.c:
	  GstAdapter: Add doc clarification regarding timestamps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9690>

2025-09-15 15:22:59 +0200  Piotr Brzeziński <piotr@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Prevent start time selection before reaching PLAYING
	  If this code was hit before aggregator reached PLAYING, we'd get garbage
	  start_time because the base time was still 0.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9689>

2025-09-09 12:56:26 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstmetafactory.c:
	  metafactory: Use same parameter name in header and source file to make g-i happy
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9664>

2025-09-08 15:11:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstmemory.c:
	* gst/gstmemory.h:
	  memory: Add accessor for the `GstMapInfo` `data field
	  This has clearer ownership semantics compared to the plain struct member.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9661>

2025-09-08 11:06:16 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstpad.c:
	* gst/gstpad.h:
	  pad: Add more accessors for `GstPadProbeInfo` fields
	  Including setters for the fields that are valid to modify.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9661>

2025-09-08 11:05:50 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstpad.c:
	* gst/gstpad.h:
	  pad: Replace some `allow-none` annotations with `nullable`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9661>

2025-09-05 12:28:30 -0400  Xavier Claessens <xclaessens@netflix.com>

	* gst/gstmeta.c:
	  meta: throttle down warning about unregistered meta
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9652>

2025-09-07 20:39:44 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.27.2

=== release 1.27.2 ===

2025-09-07 20:34:55 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.27.2

2025-09-06 11:08:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstbin.c:
	* gst/gstelement.c:
	* gst/gstmessage.c:
	* libs/gst/base/gstbasesink.c:
	* plugins/elements/gstdataurisrc.c:
	* plugins/tracers/gstlog.c:
	* tests/check/libs/aggregator.c:
	* tests/check/pipelines/simple-launch-lines.c:
	* tools/gst-launch.c:
	  gst: Change usage of gst_element_state_*() to gst_state_*()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9655>

2025-09-06 11:04:16 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstutils.c:
	* gst/gstutils.h:
	  element: Deprecate gst_element_state_*() API
	  It's misnamed: the enums in question are called GstState* and not GstElementState*.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9655>

2025-08-25 15:22:20 -0400  Xavier Claessens <xclaessens@netflix.com>

	* gst/gst.h:
	* gst/gstbuffer.c:
	* gst/gstmeta.c:
	* gst/gstmetafactory.c:
	* gst/gstmetafactory.h:
	* gst/gstregistrybinary.c:
	* gst/gstregistrychunks.c:
	* gst/meson.build:
	  meta: Add GstMetaFactory to dynamically register GstMetaInfo
	  This allows plugins to register their GstMetaInfo so
	  gst_meta_deserialize() can deserialize them automatically.
	  This helps making unixfd common cases work out of the box instead of
	  relying on application to do it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9598>

2025-09-05 13:33:04 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gststructure.c:
	  caps: Mark out parameter of gst_structure_get_caps() as `transfer none`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9646>

2025-09-05 11:27:41 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstcaps.c:
	  caps: Mark gst_caps_new_full() parameters as `transfer full`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9524>

2025-08-19 18:00:49 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstmessage.c:
	* gst/gstmessage.h:
	  message: Don't mark transfer-full structure for the redirect message as const
	  This is just confusing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9524>

2025-08-11 17:29:21 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstiterator.c:
	  iterator: Mark master cookie parameter to constructor as gpointer
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9524>

2025-08-11 12:36:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gst.c:
	  gstreamer: Mark parameters to gst_init() as optional
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9524>

2025-08-11 11:24:29 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstcapsfeatures.c:
	* gst/gststructure.c:
	  gstreamer: Mark refcount parameter to structure/capsfeatures set_parent_refcount() as pointer
	  Otherwise gobject-introspection considers it a plain integer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9524>

2025-08-09 18:51:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstutils.c:
	  utils: Mark first parameter of gst_calculate_linear_regression() as array
	  The length is provided in a complicated way that can't be handled by
	  gobject-introspection but this at least marks it as array.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9524>

2025-08-09 18:49:57 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstutils.c:
	  utils: Mark parameters of gst_util_simplify_fraction() as inout
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9524>

2025-08-09 18:48:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gsttypefind.c:
	  typefind: Mark return value of gst_type_find_peek() as array
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9524>

2025-08-09 18:36:14 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstmeta.c:
	  meta: Mark data parameter of gst_meta_deserialize() as array
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9524>

2025-08-09 18:31:04 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstcapsfeatures.c:
	* gst/gststructure.c:
	  gstreamer: Mark structure/capsfeatures set_parent_refcount() as non-introspectable
	  The pointer parameter can't be made use of automatically by bindings.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9524>

2025-09-02 19:22:02 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/gst/gstbuffer.c:
	  buffer: Add test for _memset() & _memcmp() with various offsets
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9628>

2025-08-21 08:38:03 -0400  Xavier Claessens <xclaessens@netflix.com>

	* gst/gstbuffer.c:
	* gst/gstbuffer.h:
	* gst/gstbufferlist.c:
	* gst/gstbufferlist.h:
	* gst/gstcaps.c:
	* gst/gstcaps.h:
	* gst/gstmemory.c:
	* gst/gstmemory.h:
	* gst/gstmessage.c:
	* gst/gstmessage.h:
	* gst/gstquery.c:
	* gst/gstquery.h:
	  gst: Add _take and _steal to more mini objects
	  Those are simple wrappers around mini object API, similar to
	  what GstEvent does.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9595>

2025-08-21 09:02:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Try harder to fixate caps based on upstream in default negotiation
	  Upstream might provide a width/height while downstream has the field but accepts
	  a range. gst_caps_fixate() would select the minimum value of that range later
	  but it would be more accurate to take the upstream value, at least if it's a
	  subset of what downstream accepts.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4608
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9593>

2025-08-20 15:32:15 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstbuffer.c:
	* gst/gstbuffer.h:
	* gst/gstbufferlist.c:
	* gst/gstbufferlist.h:
	* gst/gstcaps.c:
	* gst/gstcaps.h:
	* gst/gstcontext.c:
	* gst/gstcontext.h:
	* gst/gstevent.c:
	* gst/gstevent.h:
	* gst/gstmemory.c:
	* gst/gstmemory.h:
	* gst/gstmessage.c:
	* gst/gstmessage.h:
	* gst/gstquery.c:
	* gst/gstquery.h:
	* gst/gstsample.c:
	* gst/gstsample.h:
	* gst/gsttaglist.c:
	* gst/gsttaglist.h:
	* gst/gsturi.h:
	  gst: Convert `is_writable()` / `make_writable()` macros to inline functions
	  Plus actual functions that are exported from the library.
	  Apart from improving type-safety, this also makes bindings more happy.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9588>

2025-08-07 17:09:22 +0200  Vivienne Watermeier <vwatermeier@igalia.com>

	* libs/gst/base/gstbaseparse.c:
	* tests/check/libs/baseparse.c:
	  baseparse: don't clear most sticky events after a FLUSH_STOP event
	  Clearing sticky events - besides EOS, STREAM_GROUP_DONE, and SEGMENT -
	  risks losing them if a flush occurs before we get another buffer.
	  Also adds a unit test: parser_sticky_events_after_flush
	  Fixes #4193
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9506>

2025-08-12 11:10:55 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstdebugutils.c:
	* gst/gsttracerutils.c:
	  debugutils: Use SHOW_FULL_PARAMS when GstDotsTracer is active
	  When the dots tracer is detected among active tracers, switch from
	  SHOW_ALL to SHOW_FULL_PARAMS to prevent parameter ellipsization.
	  The dots tracer is designed to work with gst-dots-viewer which can
	  handle long parameter values, so we preserve the full text in dot files.
	  This improves the viewing experience when using the dots tracer with
	  the gst-dots-viewer tool.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9547>

2025-08-12 10:59:18 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gsttracerutils.c:
	* gst/gsttracerutils.h:
	  tracerutils: keep tracers that do not register to any hook alive as others
	  This checks if a tracer has registered to any hook after
	  initialization and automatically registers it to the "none" hook if not
	  so the lifetime of those tracer is the same as tracer who registers to hooks.
	  For example the `dots` tracer was being freed right after initialization
	  which was unexpected.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9547>

2025-08-15 16:44:34 +0200  Havard Graff <havard@pexip.com>

	* gst/gstbuffer.c:
	  buffer: Fix gst_buffer_memcmp() / gst_buffer_memset() using wrong memory index
	  Regression from 160205b483dc7a1ae5da60d80a722837cf7c01d0.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9565>

2025-08-09 17:10:32 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstvalue.c:
	  value: Consider NULL caps in array a fixed value
	  There's no requirement for caps in arrays to be non-NULL and NULL is clearly a
	  fixed, single value.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9522>

2025-08-13 16:18:22 +0200  Ruben Gonzalez <rgonzalez@fluendo.com>

	* tools/gst-launch.c:
	  gst-launch: clean unused local variable
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9551>

2025-07-14 20:05:34 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	* libs/gst/base/gstaggregator.h:
	  aggregator: implement start-time-selection=now
	  This is actually the only correct mode when live, let's at least expose
	  an option for it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9394>

2025-08-09 19:00:00 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstcaps.c:
	* gst/gstchildproxy.c:
	* gst/gstelementfactory.c:
	* gst/gststructure.c:
	* gst/gsttaglist.c:
	* gst/gsttracerrecord.c:
	  gstreamer: Make sure to zero-initialize the GValue before G_VALUE_COLLECT_INIT
	  G_VALUE_INIT does not zero-initialize the data member as automatic
	  zero-initialization only happens for non-union types. For union types the
	  initialized value is undefined.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4595
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9525>

2025-08-11 10:42:06 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/helpers/ptp/net.rs:
	  ptp: Fix a new Rust 1.89 compiler warning on Windows
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9527>

2025-08-08 17:50:03 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/meson.build:
	  gstreamer: Disable miniobject inline functions for gobject-introspection for non-subprojects too
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9518>

2025-08-08 10:13:55 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/helpers/ptp/net.rs:
	  ptp: Fix new compiler warning with Rust 1.89
	  This still compiles with Rust 1.48 and newer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9512>

2025-08-06 17:54:47 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstinfo.h:
	  docs: Initialize the debug category in class_init when possible
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9496>

2025-07-31 17:52:03 -0400  Olivier Crête <olivier.crete@collabora.com>

	* docs/random/plan-0.11.txt:
	  docs: Remove 0.11 plan
	  We're 10 years past.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9476>

2025-07-31 17:50:33 -0400  Olivier Crête <olivier.crete@collabora.com>

	* AUTHORS:
	  AUTHORS: Remove outdated files
	  They only contained historical contributors, the modern version is
	  to look at the git logs.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9476>

2025-07-31 17:44:21 -0400  Olivier Crête <olivier.crete@collabora.com>

	* MAINTAINERS:
	  MAINTAINERS: Update to reflect current maintainership
	  Instead of listing everyone, just point to GitLab
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9476>

2025-07-24 20:20:39 +0100  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Pass sysprof=disabled to glib
	  sysprof cannot be built on Windows, and this causes the build to fail
	  on Windows.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9438>

2025-07-13 17:30:20 +0100  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/gstevent.h:
	* gst/gstquery.h:
	* gst/gstsegment.h:
	  gstreamer: Disable C5287 warning on MSVC
	  ```
	  ../subprojects/gstreamer/gst/gstpad.c(3866): warning C5287:
	  operands are different enum types 'GstQueryType' and 'GstQueryTypeFlags';
	  use an explicit cast to silence this warning
	  ```
	  We abuse these enums, and MSVC emits a warning for this specific case:
	  https://learn.microsoft.com/en-us/cpp/error-messages/compiler-warnings/compiler-warnings-c5200-through-c5399
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9431>

2025-07-11 12:49:47 -0400  Daniel Morin <daniel.morin@collabora.com>

	* gst/gstvalue.c:
	* tests/check/gst/gstcaps.c:
	  caps: fix nested caps
	  - Fixes #4534
	  - Fix gst_caps_is_fixed(), fix gst_caps_fixate () for caps-in-caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9378>

2025-06-30 02:14:59 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/gstbuffer.c:
	  buffer: Find initial memory block without unnecessary mapping
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9354>

2025-07-08 20:00:07 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.27.1

=== release 1.27.1 ===

2025-07-08 19:55:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gstreamer.doap:
	* meson.build:
	  Release 1.27.1

2025-07-08 17:06:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/hr.po:
	* po/ka.po:
	  gstreamer: update translations

2025-05-30 15:05:30 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/gsttracerutils.c:
	  tracerutils: Fix a few memory leaks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9151>

2025-06-23 14:24:57 -0400  Doug Nazar <nazard@nazar.ca>

	* libs/gst/net/gstnetclientclock.c:
	* libs/gst/net/gstnetclientclock.h:
	* tests/check/libs/gstnetclientclock.c:
	  netclientclock: Add deinitialize function for testing
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9115>

2025-05-28 08:25:45 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/libs/gstnetclientclock.c:
	* tests/check/meson.build:
	  netclientclock: test: add delay under valgrind to free clock from cache
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9115>

2025-05-28 08:23:25 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/gstinfo.c:
	  info: free dwarf cache during shutdown
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9115>

2025-05-28 08:22:05 -0400  Doug Nazar <nazard@nazar.ca>

	* plugins/elements/gstidentity.c:
	  identity: unref clock after usage
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9115>

2025-06-23 23:42:42 -0400  Daniel Morin <daniel.morin@collabora.com>

	* tests/check/gst/gstcaps.c:
	  gstcaps: add test for caps
	  - if a subset contain identical element in superset it is still a subset it they
	  are note equal. e.g is_subset (<1, 1000>, <1, [1, 1000])
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9220>

2025-06-13 12:02:25 -0400  Daniel Morin <daniel.morin@collabora.com>

	* tests/check/gst/gstvalue.c:
	  gstvalue: increase test coverage for _is_subset()
	  - Identify _is_subset () general/specials cases.
	  - Add multiple test cases for general cases.
	  - Add multiple test cases for unfixed value.
	  - Add mutliple test cases for fixed array value.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9220>

2025-06-23 23:40:13 -0400  Daniel Morin <daniel.morin@collabora.com>

	* gst/gstvalue.c:
	  gstvalue: generalize gst_value_is_subset()
	  - Add case where we have element in subset that are equal to element in
	  superset. In this case subset is still a subset if at least one element is a
	  subset of the corresponding element in superset.
	  - clarify gst_value_is_subset inline documentation
	  - Add helper VALUE_TYPE_SINGLETON (type) to identify GType that represent a
	  value that is not a collection.
	  - Fixed issue in gst_value_is_subset_array_array (<1, 2, 3>, <0, 1, 4, 2, 3>)
	  would have returned TRUE because because the alignment of the subset could be
	  done multiple times. Now once alignment of set as been done once, everything
	  else in the superset need to be a subset of corresponding element without
	  interuption. is_subset (<1, 2, 3>, <0, 1, 2, 3>) => TRUE, but is_subset (<1,
	  2, 3>, <0, 1, 4, 2, 3>) => FALSE.
	  - If both array are fixed value and we perform a is_subset on them, both value
	  can't be equal to be considered subset. (For consistency with other fixed
	  values)
	  - Define gst_value_subtract (singleton, array) and
	  gst_value_subtract (array, singleton), to allow a gst_value_is_subset
	  (singleton, array) and gst_value_is_subset (array, singleton). General
	  case of gst_value_is_subset (v1, v2) use gst_value_subtract (v1, v2) and
	  gst_value_subtract (v2, v1) to evaluate _is_subset(), therefore we need these
	  for is_subset() operation that involve singleton and array.
	  Note gst_value_subtract (array, array) is not implemented but this case is not
	  require by gst_value_is_subset () and as it has a direct handling. Warned if
	  the case is used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9220>

2025-07-01 20:53:47 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: add sub_latency_min to pad queue size
	  It should be possible for a subclass to let data accumulate on any of its input
	  pads for as long as it has introduced latency.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9320>

2025-06-22 03:07:58 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/elements/selector.c:
	  selector: tests: Fix initialization of segment
	  If GST_DEBUG is enabled and it dumps the segment, valgrind will warn about
	  uninitialized memory.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9273>

2025-06-22 03:05:20 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/gst/gstinfo.c:
	  gstinfo: tests: Ensure that the target msg is one of the ones seen
	  If GST_DEBUG is enabled we will get multiple log messages. Signal
	  success if one of messages is correct.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9273>

2025-06-22 03:01:52 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/gst/gstmemory.c:
	  memory: tests: Fix test to ensure all logs are less severe than WARN
	  If GST_DEBUG is enabled the existing test will fail as it gets INFO
	  log messages.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9273>

2025-06-22 02:59:06 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/libs/transform1.c:
	* tests/check/libs/transform2.c:
	  transform: test: TestTransData is not an object
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9273>

2025-06-23 13:42:32 +0200  David Maseda Neira <david.maseda@cinfo.es>

	* tools/gst-inspect.c:
	  gst-inspect-1.0: Added type info for caps fields
	  gst-inspect-1.0 now shows the expected GType for each field of the
	  capabilities on a pad.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9270>

2025-06-26 10:27:33 +0300  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/gst/gstutils.c:
	  gstutils: Mark times array as static to avoid symbol conflict with the POSIX function
	  It works fine but there can be linker warnings, e.g. with mold.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9288>

2025-06-18 18:22:18 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstbuffer.c:
	* gst/gstbuffer.h:
	* tests/check/gst/gstbuffer.c:
	  buffer: Add optional info structure to GstReferenceTimestampMeta
	  This allows carrying additional per-timestamp information if needed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9245>

2025-06-23 12:44:52 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstpad.c:
	  pad: Only remove TAG events on STREAM_START if the stream-id actually changes
	  Missing part from 88a36b53c5064d186acb317b0b72633ef5d886e3
	  See also https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4097
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9268>

2025-06-19 09:47:32 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/libs/baseparse.c:
	  baseparse: test: Fix race on test start
	  It's possible that the sink pad is still flushing when the first buffer
	  is processed causing the test to timeout when we activate the sink after
	  starting the pipeline.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9256>

2025-05-02 10:23:18 +0200  Alicia Boya García <aboya@igalia.com>

	* gst/gstpad.c:
	  tracers: Fix deadlock in latency tracer
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4317
	  This patch fixes a regression in
	  a35bf1e3847351703542869755b6b9e536b9d2fd.
	  The new calls to tracers in the affected change were being done while
	  holding the pad object lock, which wasn't the case in the old ones,
	  leading to the latency tracer deadlocking in gst_object_get_parent().
	  The dependency on the pad lock for those calls was accidental. This
	  patch removes it by temporarily unlocking during the affected calls,
	  not unlike how it's done when calling a probe callback or the
	  send_event() function of the downstream element.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8925>

2025-06-06 08:59:20 -0400  Daniel Morin <daniel.morin@collabora.com>

	* gst/gstvalue.c:
	* tests/check/gst/gstcaps.c:
	  value: fix subset between arrays
	  - Adding gst_value_is_subset_array_array to test if an array is a subset of
	  another array.
	  - Check gst_caps_is_subset() between containing arrays work.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9184>

2025-06-03 22:32:17 -0400  Daniel Morin <daniel.morin@collabora.com>

	* gst/gstcaps.h:
	* gst/gststructure.c:
	* gst/gststructure.h:
	  gststructure: add gst_structure_get_caps
	  - Get field of type #GstCaps from #GstStructure
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9184>

2025-06-10 14:41:22 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* scripts/gen-changelog.py:
	* tools/gst-inspect.c:
	  gstreamer-vaapi: remove subproject
	  It's almost superseded by va plugin in gst-plugins-bad.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9200>

2025-06-03 22:11:59 +0100  James Cowgill <james.cowgill@blaize.com>

	* gst/gstvecdeque.c:
	  vecdeque: Use correct index type in gst_vec_deque_drop_struct
	  Fixes some `-Wsign-compare` warnings. These two indices should be
	  `gsize` like the other variables in this function.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9171>

2025-06-04 12:47:55 +0200  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstinfo.c:
	  gstinfo: Add missing log context stub functions when debugging disabled
	  When GST_DISABLE_GST_DEBUG is defined, the log context functions were
	  missing their stub implementations, causing link errors. Add the missing
	  stub functions to the disabled debug section.
	  Also add (nullable) annotation to gst_log_context_get_category since
	  it can return NULL when debugging is disabled.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9122>

2025-06-04 10:38:12 +0200  Thibault Saunier <tsaunier@igalia.com>

	* plugins/tracers/gstdots.c:
	  dots: Do not WARN when a file can't be removed
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9122>

2025-06-04 10:07:58 +0200  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstpad.c:
	  pad: Change incompatible caps warning to GST_INFO
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9122>

2024-09-23 10:31:13 -0300  Thibault Saunier <tsaunier@igalia.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Do not set event seqnum to INVALID
	  This might happen when we get EOS without any data flow
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9128>

2025-05-16 13:32:08 +0200  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstinfo.h:
	  general: Stop checking `G_HAVE_GNUC_VARARGS` now that we depend on c99
	  Cleaning up a bit the code now that we can rely on C99 which specifies
	  varargs for macros.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8990>

2025-05-21 10:01:24 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/gstdebugutils.c:
	  gstreamer: A few small memory cleanups
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9044>

2025-05-23 13:07:34 +0200  Thibault Saunier <tsaunier@igalia.com>

	* gst/gststructure.c:
	* gst/gststructure.h:
	  gst: Add a gst_structure_is_writable method
	  There are cases (in the gst-python bindings for example) where
	  it is interesting to know that the structure is not writable
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9027>

2025-05-22 14:17:34 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstmeta.c:
	  meta: Add g_return_val_if_fail() for NULL valid_tags in gst_meta_api_type_tags_contain_only()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9054>

2025-05-18 16:02:52 +0300  Jordan Petridis <jordan@centricular.com>

	* gst/gsttracerutils.c:
	  gsttracerutils: Fix leak in gst_tracer_utils_create_tracer()
	  Co-authored-by: Alicia Boya García <aboya@igalia.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9028>

2025-04-09 01:51:49 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstelement.h:
	* gst/gstinfo.c:
	* gst/gstinfo.h:
	* tests/check/gst/gstinfo.c:
	  gst: info: Add a GstLogContext API
	  Add a new API to control logging behavior, particularly for implementing
	  "log once" functionality and periodic logging. This helps avoid spamming
	  logs with repetitive messages.
	  The API provides:
	  - Static and dynamic context creation
	  - Configurable message identity calculation
	  - Periodic reset capability
	  - Context-aware logging macros
	  - Element message variants with context support
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6855>

2025-05-21 10:54:48 +0200  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* gst/gstvalue.c:
	* tests/check/gst/gstvalue.c:
	  core: gstvalue: fix ANY/EMPTY caps (features) hash
	  They should be special cases as both do not have any actual caps/features.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9037>

2025-05-18 11:28:29 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstmeta.c:
	* gst/gstmeta.h:
	  meta: Add gst_meta_api_type_tags_contain_only()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9004>

2025-04-04 04:41:24 +0900  Seungha Yang <seungha@centricular.com>

	* libs/gst/base/gstbaseparse.c:
	  baseparse: Add disable-clip property
	  Adding a property to allow pushing buffers that are out of segment,
	  and do not drop out of segment buffers by default
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8773>

2025-05-13 09:54:07 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstpipeline.c:
	  pipeline: Store the actual latency even if no static latency was configured
	  Previously the latency was only stored if a static latency was configured on the
	  pipeline, which caused gst_pipeline_get_configured_latency() to always return
	  GST_CLOCK_TIME_NONE in that case.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4429
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8972>

2025-05-16 13:11:33 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/gstelement.c:
	  element: ref-sink the correct pad template when replacing an existing one
	  templ is the new one that is being stored and that needs to be ref-sinked,
	  padtempl is the old one that just needs to be unreffed.
	  Fixes leaking the old template, and also makes sure that the new template is not
	  floating which can cause use-after-frees with bindings as they might wrongly
	  take ownership of a still floating template.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8988>

2025-05-13 16:28:04 +0300  Jordan Petridis <jordan@centricular.com>

	* tests/check/gstreamer.supp:
	  core: suppress glib_init_ctor as well
	  We already suppress gobject_init_ctor and this
	  is the same.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8979>

2025-05-13 19:47:37 -0400  Doug Nazar <nazard@nazar.ca>

	* tests/check/gst/gstcontroller.c:
	  controller: Free various props before being set
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8978>

2025-05-13 19:46:34 -0400  Doug Nazar <nazard@nazar.ca>

	* libs/gst/controller/gstdirectcontrolbinding.c:
	  directcontrolbinding: Free various props before being set
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8978>

2025-05-13 19:15:21 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/gstpadtemplate.c:
	  all: Annotate *_set_property() contructor only props without free
	  Properties that are marked constructor only aren't required to be freed
	  before g_value_dup_*() as they can only be called once during construction.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8978>

2025-05-07 10:48:25 -0400  Xavier Claessens <xclaessens@netflix.com>

	* gst/gstmessage.c:
	  gstmessage: Debug error message is nullable
	  When debug is NULL, gst-launch-1.0 won't print
	  "Additional debug info:" line.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8943>

2025-04-10 11:22:29 +0530  Santosh Mahto <santosh.mahto@collabora.com>

	* gst/gstbuffer.c:
	  gstanalytics: Add transform function to copy the tensor meta
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8825>

2025-03-15 20:56:17 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.options:
	  meson: rename meson_options.txt to meson.options
	  Which is supported since Meson 1.1:
	  https://mesonbuild.com/Release-notes-for-1-1-0.html#support-for-reading-options-from-mesonoptions
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8651>

2025-04-01 18:22:18 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* libs/gst/helpers/ptp/meson.build:
	  gst-ptp-helper: Fix meson warning about rust_crate_type
	  WARNING: Project targets '>= 1.4' but uses feature deprecated since
	  '1.3.0': rust_crate_type arg in static_library. Use rust_abi or
	  rust.proc_macro() instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8753>

2025-04-25 12:18:19 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Don't produce buffers when live but not in PLAYING yet
	  Especially in force-live=true mode it was possible to produce buffers before the
	  element was set to PLAYING as long as a clock was available already.
	  This could easily lead to outputting buffers too early, and e.g. before the
	  correct base time is set and available.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8897>

2025-04-25 12:15:17 +0300  Sebastian Dröge <sebastian@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: Check after waiting if we're still running and otherwise stop
	  Previously we might've produced a buffer needlessly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8897>

2025-04-10 17:32:19 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstdebugutils.c:
	  gst: debug: Add information about active tracers in dot files
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8820>

2025-04-16 11:06:07 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstmacos.h:
	* gst/gstmacos.m:
	  macos: Move macos function documentation to the .h so the introspection has the information
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8854>

2025-04-09 12:10:33 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gst/gsttracerutils.c:
	  tracerutils: Do not warn on empty string as tracername
	  It doesn't matter if there is an "empty tracer" specified.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8860>

2025-04-01 11:02:58 +0800  Shengqi Yu (喻盛琪) <shengqi.yu@mediatek.com>

	* gst/gstpluginloader.c:
	  pluginloader: fix pending_plugins Glist use-after-free issue
	  When plugin_loader_load_and_sync returns false in plugin_loader_replay_pending,
	  the cur Glist l->pending_plugins will be added to the blacklist.
	  However, the l->pending_plugins might have already been loaded and freed in handle_rx_packet,
	  so causing a use-after-free issue.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8747>

2025-03-31 15:39:14 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* libs/gst/base/gstaggregator.c:
	  aggregator: expose current-level-* properties on sink pads
	  As aggregator internally queues data (up to latency), those properties
	  are helpful to monitor queue levels in the complete pipeline.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8731>

2025-04-03 09:13:31 -0300  L. E. Segovia <amy@centricular.com>

	* cmake/FindGStreamer.cmake:
	  cmake: Fix using pkgconf for Windows cross builds
	  pkgconf has its own default logic on Windows for setting up a prefix,
	  which does not match the default behaviour of pkg-config (blindly
	  respecting modules' ${prefix} variable).
	  See
	  https://github.com/pkgconf/pkgconf/commit/dcf529b83d621ed09e99e41fc35fdffd068bd87a
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8768>

2025-04-03 09:02:59 -0300  L. E. Segovia <amy@centricular.com>

	* cmake/FindGStreamer.cmake:
	  cmake: Fix PKG_CONFIG_PATH formatting for Windows cross-builds
	  The PKG_CONFIG_PATH use of semicolons must match the host system, not
	  the build system. This fixes calling pkg-config for Windows to Android
	  cross builds.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8768>

2025-04-01 02:04:48 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gstpluginloader-win32.c:
	  pluginloader-win32: Fix helper executable path under devenv
	  lpApplicationName argument of CreateProcessW should be complete path
	  of executable.
	  Fixing regression introduced by
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8614
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8746>

2025-02-13 16:04:29 +0100  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* gst/gstvalue.c:
	* gst/gstvalue.h:
	* tests/check/gst/gstvalue.c:
	  gstvalue: add hashing
	  Will be used to implement the Hash trait in gstreamer-rs, see
	  https://gitlab.freedesktop.org/gstreamer/gstreamer-rs/-/merge_requests/1639
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8518>

2025-02-17 16:07:37 +0100  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* gst/gst_private.h:
	* gst/gsttaglist.c:
	  taglist: add _gst_tag_list_structure() as internal API
	  Will be needed to implement hash on GValue.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8518>

2025-02-13 16:22:18 +0100  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* gst/gstvalue.c:
	  gstvalue: rename internal table to gst_value_hash_table
	  Will use the gst_value_hash symbol to implement a new method.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8518>

2025-03-14 22:15:38 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/gsttracer.c:
	  tracer: Free various props before being set
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8648>

2025-03-14 19:14:43 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/gstcontrolbinding.c:
	* gst/gstdevice.c:
	* gst/gstpadtemplate.c:
	  all: Annotate *_set_property() contructor only props without free
	  Properties that are marked constructor only aren't required to be freed
	  before g_value_dup_string() as they can only be called once during construction.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8648>

2025-03-26 15:38:20 +0100  Guillaume Desmottes <guillaume.desmottes@onestream.live>

	* plugins/tracers/gstdots.c:
	  tracers: dots: fix debug log
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8699>

2025-03-06 17:16:20 +0100  David Smitmanis <davidsm@axis.com>

	* gst/gstpluginloader-win32.c:
	  pluginloader-win32: Correctly handle whitespace paths when executing gst-plugin-scanner
	  On Windows, if the path to gst-plugin-scanner.exe contained
	  whitespace, gstreamer would via CreateProcessW attempt to execute
	  several files "up" the path tree; e.g. if the scanner path was
	  "C:\Program Files\gstreamer app\gst-plugin-scanner.exe", it would try
	  to execute C:\Program, C:\Program.exe, C:\Program Files\gstreamer.exe"
	  and so on.
	  This is how CreateProcessW behaves with unquoted whitespace arguments
	  in lpCommandLine if lpApplicationName is NULL.
	  By passing the binary path as lpApplicationName instead, the problem
	  is avoided.
	  Also quote arguments to gst-plugin-scanner.exe as they are paths as well.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8614>

2025-01-22 15:02:03 +0100  Marc Leeman <marc.leeman@gmail.com>

	* meson.build:
	  meson.build: test for and link against libatomic if it exists
	  It's needed on some platforms for some subset (or all) atomic operations and
	  checking for the cases when it's actually needed is quite complex.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4300
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8637>

2025-03-13 16:41:14 +0100  Branko Subasic <branko@axis.com>

	* gst/gsttracerutils.h:
	  tracer: Make it compile when tracer hooks are disabled
	  The GST_TRACER_POOL_BUFFER_(DE)QUEUED macros used when tracer hooks are
	  disabled took only one argument, causing compile errors when building
	  with tracer hooks disabled.
	  Change-Id: I0958c0b018f1fc4a6d84ab0bdd9e42895ae1fe77
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8638>

2025-03-10 11:52:21 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gst/gstbufferpool.c:
	* gst/gsttracerutils.c:
	* gst/gsttracerutils.h:
	  tracer: Add a hook to track when buffers are queued/dequeued in pools
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8617>

2025-03-12 13:59:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* README.md:
	* RELEASE:
	* meson.build:
	  Back to development in main branch after 1.26.0
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8621>

=== release 1.26.0 ===

